<?php
require_once(__DIR__ . '/../inc/config.php');
require_once(__DIR__ . '/_admin_inc.php');

// csrf check
require_once(__DIR__ . '/_admin_inc_request_with_ajax.php');

$loc_id   = !empty($_POST['loc_id'  ]) ? $_POST['loc_id'  ] : '';
$loc_type = !empty($_POST['loc_type']) ? $_POST['loc_type'] : '';

// valid loc types
if(!in_array($loc_type, array('city', 'region', 'country'))) {
	echo "Invalid loc type";
	die();
}

// update status
if(!empty($loc_id)) {
	if($loc_type == 'city') {
		$query = "UPDATE cities SET status = 1 WHERE city_id = :loc_id";
	}

	if($loc_type == 'region') {
		$query = "UPDATE states SET status = 1 WHERE state_id = :loc_id";
	}

	if($loc_type == 'country') {
		$query = "UPDATE countries SET status = 1 WHERE country_id = :loc_id";
	}

	$stmt = $conn->prepare($query);
	$stmt->bindValue(':loc_id', $loc_id);
	$stmt->execute();

	echo '1';
}

else {
	echo "Empty loc id";
}
