ALTER TABLE `cats` ADD `cat_bg` VARCHAR(10) NOT NULL AFTER `cat_icon`;
ALTER TABLE `cats` CHANGE `cat_bg` `cat_bg` VARCHAR(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '';
ALTER TABLE `config` ADD INDEX(`type`);
ALTER TABLE `custom_fields` ADD `filter_display` VARCHAR(50) NULL AFTER `field_type`;
ALTER TABLE `custom_fields` CHANGE `filter_display` `filter_display` VARCHAR(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT 'select';
ALTER TABLE `listings` DROP `cond`;
ALTER TABLE `listings` CHANGE `logo` `main_pic` VARCHAR(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '';
ALTER TABLE `listings` ADD `short_desc` VARCHAR(255) NOT NULL DEFAULT '' AFTER `description`;
ALTER TABLE `listings` DROP INDEX place_name_descrip;
ALTER TABLE `listings` ADD FULLTEXT (`listing_title`, `description`, `short_desc`);
DROP TABLE `neighborhoods`;
ALTER TABLE `reviews` DROP INDEX `place_id`, ADD INDEX `listing_id` (`listing_id`) USING BTREE;
ALTER TABLE `transactions` DROP INDEX `place_id`, ADD INDEX `listing_id` (`listing_id`) USING BTREE;
ALTER TABLE `coupons` DROP INDEX `place_id`, ADD INDEX `listing_id` (`listing_id`) USING BTREE;
