<?php
require_once(__DIR__ . '/../inc/config.php');
require_once(__DIR__ . '/_admin_inc.php');

// csrf check
require_once(__DIR__ . '/_admin_inc_request_with_ajax.php');

// credits details
$params = array();
parse_str($_POST['params'], $params);

$plan_id        = !empty($params['plan_id'       ]) ? $params['plan_id'       ] : '';
$credits_amount = !empty($params['credits_amount']) ? $params['credits_amount'] : '';
$credited_user  = !empty($params['credited_user' ]) ? $params['credited_user' ] : '';

// trim
$plan_id        = trim($plan_id);
$credits_amount = trim($credits_amount);
$credited_user  = trim($credited_user);

$query = 'INSERT INTO credits(user, plan, credits, uniq_id, gateway) VALUES(:user, :plan, :credits, :uniq_id, :gateway)';
$stmt = $conn->prepare($query);
$stmt->bindValue(':user', $credited_user);
$stmt->bindValue(':plan', $plan_id);
$stmt->bindValue(':credits', $credits_amount);
$stmt->bindValue(':uniq_id', uniqid());
$stmt->bindValue(':gateway', 'admin');
$stmt->execute();

echo '1';
