<?php
// prevent direct access
if(basename(__FILE__) == basename($_SERVER['SCRIPT_NAME'])) {
	http_response_code(401);
	die('Invalid access');
}
?><script>
'use strict';

/*--------------------------------------------------
Contact form
--------------------------------------------------*/
(function(){
	$('#contact-result').hide();

	// on submit
	$('#submit-contact').on('click', function(e) {
		e.preventDefault();

		// empty result
		$('#contact-result').empty();

		// check validity
		if($('#contact-form')[0].checkValidity()) {
			// show submit spinner
			$('#submit-contact').prepend('<?php include($cfg_loader_path) ?> ');
			$('#submit-contact').prop('disabled', true);

			// vars
			var url = '<?= $baseurl ?>/process-contact.php';

			// ajax post
			var request = $.post(url, { params: $('#contact-form').serialize() });

			// done
			request.done(function(data) {
				if(data == '1') {
					// show success message
					$('#contact-result').html('<?= a($txt_message_sent) ?>').fadeIn();

					// hide form
					$('#contact-form').hide();

					// hide submit button
					$('#submit-contact').hide();
				} else {
					// show success message
					$('#contact-result').html('<div class="alert alert-warning" role="alert">' + data + '</div>').fadeIn();

					// show submit spinner
					$('#submit-contact').html('<?= a($txt_send_message) ?>')
					$('#submit-contact').prop('disabled', false);
				}
			});
		}

		else {
			$('#contact-form')[0].reportValidity();
		}
	});
}());
</script>