<?php
// prevent direct access
if(basename(__FILE__) == basename($_SERVER['SCRIPT_NAME'])) {
	http_response_code(401);
	die('Invalid access');
}
?><!DOCTYPE html>
<!--[if IE 9]><html class="lt-ie10" lang="<?= $html_lang ?>"> <![endif]-->
<html lang="<?= $html_lang ?>">
<head>
<title>Maintenance Mode</title>
<?php require_once('head.php') ?>
</head>
<body class="tpl-maintenance">

<div class="container mt-5">
	<div class="text-center">
		<h4>Maintenance Mode</h4>

		<p><?= $txt_message ?></p>

		<?php
		if($is_admin) {
			?>
			<p><a href="<?= $baseurl ?>/admin/home">Admin Area</a></p>
			<?php
		}
		?>
	</div>
</div>

</body>
</html>