<?php
require_once(__DIR__ . '/../inc/config.php');
require_once(__DIR__ . '/_admin_inc.php');
require_once(__DIR__ . '/../inc/iso-639-1-native-names.php');

// csrf check
require_once(__DIR__ . '/_admin_inc_request_with_ajax.php');

// language to create
$lang = !empty($_POST['lang']) ? $_POST['lang'] : '';

if(empty($lang) || !in_array($lang, array_keys($iso_639_1_native_names))) {
	die('Invalid language');
}

// get installed langs
$installed_langs = array();

$query = "SELECT DISTINCT lang FROM language";
$stmt = $conn->prepare($query);
$stmt->execute();

while($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
	if(in_array($row['lang'], array_keys($iso_639_1_native_names))) {
		$installed_langs[] = $row['lang'];
	}
}

// only process if language is not already created
if(!in_array($lang, $installed_langs)) {
	// insert into db
	$query = "INSERT INTO language(
				lang,
				section,
				template,
				var_name,
				translated)
			SELECT '$lang',
				section,
				template,
				var_name,
				translated FROM language WHERE lang = 'en'";

	$stmt = $conn->prepare($query);
	$stmt->execute();
}

echo '1';