<?php
require_once(__DIR__ . '/../inc/config.php');
//require_once(__DIR__ . '/user_area_inc.php');

// only allow access to this file for logged in users
if(!array_key_exists('userid', $_SESSION) && empty($_SESSION['userid'])) {
    die('You do not have permission to access this page');
}

// this is the tmp main_pic
$main_pic = $_POST['main_pic'];

if(!empty($main_pic)) {
	$main_pic = $pic_basepath . '/main-pic-tmp/' . $main_pic;

	if(file_exists($main_pic)) {
		if(unlink($main_pic)) {
			echo 'success:' . $main_pic;
		}

		else {
			echo 'fail:' . $main_pic;
		}
	}
}

// if requested from the edit listing page, then try to delete saved main_pic
$existing_main_pic = !empty($_POST['existing_main_pic']) ? $_POST['existing_main_pic'] : '';

if(!empty($existing_main_pic)) {
	$existing_main_pic = $pic_basepath . '/main-pic/' . substr($existing_main_pic, 0, 2) . '/' . $existing_main_pic;

	if(file_exists($existing_main_pic)) {
		if(unlink($existing_main_pic)) {
			echo 'success:' . $existing_main_pic;
		}

		else {
			echo 'fail:' . $existing_main_pic;
		}
	}
}