-- phpMyAdmin SQL Dump
-- version 4.4.13.1
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: May 04, 2019 at 12:58 PM
-- Server version: 5.7.14
-- PHP Version: 5.6.12

SET FOREIGN_KEY_CHECKS=0;
SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `classifiedsplus`
--

-- --------------------------------------------------------

--
-- Table structure for table `cats`
--

CREATE TABLE IF NOT EXISTS `cats` (
  `id` int(11) NOT NULL,
  `name` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `plural_name` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `cat_slug` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent_id` int(11) NOT NULL DEFAULT '0',
  `cat_icon` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `cat_bg` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `cat_order` int(10) NOT NULL DEFAULT '0',
  `cat_status` tinyint(1) NOT NULL DEFAULT '1'
) ENGINE=InnoDB AUTO_INCREMENT=176 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `cats`
--

INSERT INTO `cats` (`id`, `name`, `plural_name`, `cat_slug`, `parent_id`, `cat_icon`, `cat_bg`, `cat_order`, `cat_status`) VALUES
(100, 'Cars & Automotive', 'Cars & Automotive', 'cars-automotive', 0, '', '', 0, 1),
(101, 'Real Estate', 'Real Estate', 'real-estate', 0, '', '', 0, 1),
(102, 'Computer', 'Computers', 'computers', 0, '', '', 0, 1),
(103, 'Consumer Electronic', 'Consumer Electronics', 'electronics', 0, '', '', 0, 1),
(104, 'Event', 'Events', 'events', 0, '', '', 0, 0),
(105, 'Jobs', 'Jobs', 'jobs', 0, '', '', 0, 1),
(106, 'Clothing & Accessories', 'Clothing & Accessories', 'clothing', 0, '', '', 0, 1),
(107, 'Construction & Farming', 'Construction & Farming', 'construction-farming', 0, '', '', 0, 1),
(108, 'Home & Furniture', 'Home & Furniture', 'home-furniture', 0, '', '', 0, 1),
(109, 'Mobile & Tablet', 'Mobile & Tablets', 'mobile-tablet', 0, '', '', 0, 1),
(110, 'Pets & Animal', 'Pets & Animals', 'pets-animals', 0, '', '', 0, 1),
(111, 'Service', 'Services', 'services', 0, '', '', 0, 1),
(112, 'Beauty & Health', 'Beauty & Health', 'beauty-health', 0, '', '', 0, 1),
(171, 'Cars, SUVs, and Pick-ups', 'Cars, SUVs, and Pick-ups', 'cars-pickups', 100, '', '', 0, 1),
(172, 'Motorcycles and Scooters', 'Motorcycles and Scooters', 'motorcycles-scooters', 100, '', '', 0, 1),
(173, 'Real Estate for Rent', 'Real Estate for Rent', 'real-estate-rent', 101, '', '', 0, 1),
(174, 'Real Estate for Sale', 'Real Estate for Sale', 'real-estate-sale', 101, '', '', 0, 1);

-- --------------------------------------------------------

--
-- Table structure for table `cities`
--

CREATE TABLE IF NOT EXISTS `cities` (
  `city_id` int(11) NOT NULL,
  `city_name` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `state` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `state_id` int(11) DEFAULT NULL,
  `slug` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `lat` decimal(10,8) DEFAULT NULL,
  `lng` decimal(11,8) DEFAULT NULL,
  `status` TINYINT(1) NOT NULL DEFAULT '1'
) ENGINE=InnoDB AUTO_INCREMENT=108401 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `cities_feat`
--

CREATE TABLE IF NOT EXISTS `cities_feat` (
  `id` int(11) NOT NULL,
  `city_id` int(11) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `config`
--

CREATE TABLE IF NOT EXISTS `config` (
  `id` int(10) unsigned NOT NULL,
  `type` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `property` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `value` text COLLATE utf8mb4_unicode_ci
) ENGINE=InnoDB AUTO_INCREMENT=86 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `config`
--

INSERT INTO `config` (`id`, `type`, `property`, `value`) VALUES
(25, 'email', 'admin_email', 'admin@email.com'),
(26, 'email', 'dev_email', 'dev@email.com'),
(27, 'email', 'smtp_server', 'tls://smtp.yoursite.com'),
(28, 'email', 'smtp_user', 'user@yoursite.com'),
(29, 'email', 'smtp_pass', 'YOUR_SMTP_PASSWORD'),
(30, 'email', 'smtp_port', '465'),
(31, 'api', 'google_key', ''),
(32, 'api', 'mapbox_secret', ''),
(33, 'api', 'tomtom_secret', ''),
(34, 'api', 'here_key', ''),
(35, 'api', 'here_secret', ''),
(36, 'api', 'facebook_key', ''),
(37, 'api', 'facebook_secret', ''),
(38, 'api', 'twitter_key', ''),
(39, 'api', 'twitter_secret', ''),
(40, 'api', 'disqus_shortname', ''),
(41, 'config', 'items_per_page', '100'),
(42, 'config', 'site_name', 'ClassifiedsPlus'),
(43, 'config', 'country_name', 'America'),
(44, 'config', 'default_country_code', 'US'),
(45, 'config', 'default_city_slug', 'city-slug'),
(46, 'config', 'default_loc_id', '1'),
(47, 'config', 'timezone', 'America/Los_Angeles'),
(48, 'maps', 'default_lat', '34.033788'),
(49, 'maps', 'default_lng', '-118.241243'),
(50, 'maps', 'map_provider', ''),
(51, 'config', 'html_lang', 'en'),
(52, 'config', 'max_pics', '15'),
(53, 'config', 'mail_after_post', '0'),
(54, 'payment', 'paypal_merchant_id', ''),
(55, 'payment', 'paypal_bn', 'ClassifiedsPlus'),
(56, 'payment', 'paypal_checkout_logo_url', ''),
(57, 'payment', 'currency_code', 'USD'),
(58, 'payment', 'currency_symbol', '$'),
(59, 'payment', 'paypal_locale', 'US'),
(60, 'payment', 'paypal_mode', '0'),
(61, 'payment', 'paypal_sandbox_merch_id', ''),
(62, 'payment', 'stripe_mode', '0'),
(63, 'payment', 'stripe_test_secret_key', ''),
(64, 'payment', 'stripe_test_publishable_key', ''),
(65, 'payment', 'stripe_live_secret_key', ''),
(66, 'payment', 'stripe_live_publishable_key', ''),
(67, 'payment', 'stripe_data_currency', 'USD'),
(68, 'payment', 'stripe_currency_symbol', '$'),
(69, 'payment', 'stripe_data_image', ''),
(70, 'payment', 'stripe_data_description', ''),
(71, 'config', 'maintenance_mode', '0'),
(72, 'config', 'user_created_notify', '0'),
(73, 'config', 'site_logo_width', '180'),
(74, 'config', 'cfg_languages', 'en'),
(75, 'config', 'cgf_near_listings_radius', '150'),
(76, 'config', 'cfg_latest_listings_count', '12'),
(77, 'config', 'cfg_decimal_sep', '.'),
(78, 'config', 'cfg_use_select2', '1'),
(79, 'config', 'cfg_date_format', 'Y-m-d'),
(80, 'config', 'cfg_show_cents', '0'),
(81, 'config', 'cfg_cur_symbol_pos', 'left'),
(82, 'config', 'cfg_permalink_struct', '%category%/%title%'),
(83, 'config', 'cfg_thousands_sep', ',');

-- --------------------------------------------------------

--
-- Table structure for table `contact_msgs`
--

CREATE TABLE IF NOT EXISTS `contact_msgs` (
  `id` int(11) NOT NULL,
  `sender_email` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sender_ip` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `listing_id` int(11) DEFAULT NULL,
  `recipient_id` int(11) DEFAULT NULL,
  `msg` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `countries`
--

CREATE TABLE IF NOT EXISTS `countries` (
  `country_id` int(11) NOT NULL,
  `country_name` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `country_abbr` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'country',
  `slug` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `status` TINYINT(1) NOT NULL DEFAULT '1'
) ENGINE=InnoDB AUTO_INCREMENT=242 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `coupons`
--

CREATE TABLE IF NOT EXISTS `coupons` (
  `id` int(10) NOT NULL,
  `title` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `userid` int(10) NOT NULL,
  `listing_id` int(10) NOT NULL,
  `expire` datetime NOT NULL,
  `created` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `img` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL,
  `coupon_status` tinyint(1) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `credits`
--

CREATE TABLE IF NOT EXISTS `credits` (
  `id` int(11) NOT NULL,
  `user` int(11) NOT NULL,
  `plan` int(11) NOT NULL,
  `credits` int(11) NOT NULL DEFAULT '0',
  `uniq_id` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `paym_email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `gateway` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `subscr_id` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `purchase_date` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `custom_fields`
--

CREATE TABLE IF NOT EXISTS `custom_fields` (
  `field_id` int(11) NOT NULL,
  `field_name` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL,
  `field_type` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL,
  `filter_display` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT 'select',
  `values_list` text COLLATE utf8mb4_unicode_ci,
  `value_unit` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `tooltip` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `icon` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `required` tinyint(1) NOT NULL DEFAULT '0',
  `searchable` tinyint(1) NOT NULL DEFAULT '1',
  `show_in_results` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no' COMMENT 'Possible values: no, name, icon, name-icon',
  `field_group` int(11) NOT NULL DEFAULT '1',
  `field_order` int(11) NOT NULL DEFAULT '0',
  `field_status` tinyint(1) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `custom_fields_groups`
--

CREATE TABLE IF NOT EXISTS `custom_fields_groups` (
  `group_id` int(11) NOT NULL,
  `group_name` varchar(500) COLLATE utf8mb4_unicode_ci NOT NULL,
  `group_order` varchar(500) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  `group_status` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


ALTER TABLE `custom_fields_groups`
  ADD PRIMARY KEY (`group_id`);


ALTER TABLE `custom_fields_groups`
  MODIFY `group_id` int(11) NOT NULL AUTO_INCREMENT;

INSERT INTO `custom_fields_groups` (`group_id`, `group_name`, `group_order`, `group_status`) VALUES
(1, 'Features', '1', '1');

-- --------------------------------------------------------

--
-- Table structure for table `translation_cf_groups`
--

CREATE TABLE `translation_cf_groups` (
  `id` int(11) UNSIGNED NOT NULL,
  `lang` varchar(2) COLLATE utf8mb4_unicode_ci NOT NULL,
  `group_id` int(11) NOT NULL,
  `group_name` varchar(500) COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


ALTER TABLE `translation_cf_groups`
  ADD PRIMARY KEY (`id`),
  ADD KEY `lang` (`lang`),
  ADD KEY `field_id` (`group_id`);


ALTER TABLE `translation_cf_groups`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;


ALTER TABLE `translation_cf_groups`
  ADD CONSTRAINT `translation_cf_groups_ibfk_1` FOREIGN KEY (`group_id`) REFERENCES `custom_fields_groups` (`group_id`) ON DELETE CASCADE ON UPDATE CASCADE;

INSERT INTO `translation_cf_groups` (`lang`, `group_id`, `group_name`) VALUES
('en', 1, 'Features');

-- --------------------------------------------------------

--
-- Table structure for table `email_templates`
--

CREATE TABLE IF NOT EXISTS `email_templates` (
  `id` int(11) NOT NULL,
  `type` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `subject` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `body` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `available_vars` text COLLATE utf8mb4_unicode_ci
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `email_templates`
--

INSERT INTO `email_templates` (`id`, `type`, `description`, `subject`, `body`, `available_vars`) VALUES
(1, 'reset_pass', 'Reset password email', 'Reset your password - %site_name%', 'Hello,\r\n\r\nSomeone has requested a link to change your password on %site_name%. You can do this through the link below. \r\n\r\n%reset_link%\r\n\r\nIf you didn''t request this, please ignore this email. \r\n\r\nThanks,\r\n\r\n%site_name% - %site_url%', '%site_name%\r\n%site_url%\r\n%reset_link%\r\n'),
(2, 'signup_confirm', 'Signup email address confirmation email', 'Welcome to %site_name%! Please confirm your email', 'Hello,\r\n\r\nYou have signed up for %site_name%.\r\n\r\nIf you received this email by mistake, simply delete it. Your account will be removed if you don''t click the confirmation link below.\r\n\r\nConfirm: %confirm_link%\r\n\r\nThanks,\r\n\r\n%site_name% - %site_url%', '%site_name%\r\n%site_url%\r\n%confirm_link%'),
(4, 'subscr_failed', 'Subscription payment failed email', 'Subscription payment failed - %site_name%', 'Hello,\r\n\r\nYour subscription payment failed. Please take moment to check your payment info, you may need to update the credit card expiration date, etc. You still have access, we''ll try again in a few days.\r\n\r\nThanks,\r\n\r\n%site_name% - %site_url%', '%site_name%\r\n%site_url%'),
(5, 'subscr_signup', 'Subscription successful email', 'Thank you! Welcome to %site_name%', 'Hello,\r\n\r\nYour subscription is active. \r\n\r\nYou can now start posting ads on %site_name%\r\n\r\nThanks,\r\n\r\n%site_name% - %site_url%', '%site_name%\r\n%site_url%'),
(6, 'web_accept', 'One time payment successful email', 'Thank you! Welcome to %site_name%', 'Hello,\r\n\r\nThank you for your purchase. Your credits are already available in your account.\r\n\r\nThanks,\r\n\r\n%site_name% - %site_url%', '%site_name%\r\n%site_url%'),
(7, 'subscr_eot', 'Subscription expired email', 'Subscription expired - %site_name%', 'Hello,\r\n\r\nYour subscription on %site_name% expired. Your listings under this subscription plan have been deactivated. \r\n\r\nThanks,\r\n\r\n%site_name% - %site_url%', '%site_name%\r\n%site_url%'),
(8, 'web_accept_fail', 'One time payment failed email', 'Your most recent payment failed', 'Hi %user_name%,\r\n\r\nUnfortunately your most recent payment for your ad on our site was declined. This could be due to a change in your card number or your card expiring, cancelation of your credit card, or the bank not recognizing the payment and taking action to prevent it.\r\n\r\nPlease update your payment information as soon as possible by logging in here:\r\n%site_url%\r\n\r\nThanks,\r\n\r\n%site_name% - %site_url%', '%site_name%\r\n%site_url%\r\n%user_name%'),
(9, 'process_add_listing', 'User submission notification', 'A new listing was submitted', 'A new listing was submitted at:\r\n\r\n%new_listing_url%\r\n', '%new_listing_url%'),
(10, 'process_edit_listing', 'User edit listing notification', 'A new listing was edited', 'A user has edited a listing at:\r\n\r\n%edited_listing_url%\r\n', '%edited_listing_url%'),
(11, 'credits_added', 'Email sent when one time payment succeeded and credits added to user''s account', 'Thank you for you purchase', 'Hello,\r\n\r\nThank you for your purchase. Your credits are already available in your account.\r\n\r\nThanks,\r\n\r\n%site_name% - %site_url%', '%site_name%\r\n%site_url%'),
(12, 'charge_failed', 'Email sent when one time payment failed', 'Charge failed', 'Hello,\r\n\r\nYour recent payment did not complete and credits were not added to the database. Please contact the site administrator.\r\n\r\nThanks,\r\n\r\n%site_name% - %site_url%', '%site_name%\r\n%site_url%'),
(13, 'user_signup', 'Email sent to the admin when a new user registers on the site', 'New User Signup', 'New signup from user:\r\n%signup_email%', '%signup_email%');

-- --------------------------------------------------------

--
-- Table structure for table `listings`
--

CREATE TABLE IF NOT EXISTS `listings` (
  `listing_id` int(11) NOT NULL,
  `userid` int(11) NOT NULL,
  `lat` decimal(10,8) DEFAULT NULL,
  `lng` decimal(11,8) DEFAULT NULL,
  `listing_title` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `slug` varchar(190) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `price` int(10) NOT NULL DEFAULT '0',
  `address` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `postal_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `city_id` int(11) DEFAULT NULL,
  `state_id` int(11) DEFAULT NULL,
  `country_code` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `area_code` varchar(25) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `wa_country_code` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `wa_area_code` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `wa_phone` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `main_pic` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `contact_email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` text COLLATE utf8mb4_unicode_ci,
  `short_desc` text COLLATE utf8mb4_unicode_ci,
  `submission_date` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `feat` tinyint(1) NOT NULL DEFAULT '0',
  `feat_home` tinyint(1) NOT NULL DEFAULT '0',
  `plan` int(11) DEFAULT NULL,
  `credits_uniq_id` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `valid_until` datetime NOT NULL DEFAULT '9999-01-01 00:00:00',
  `status` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `paid` tinyint(1) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `loggedin`
--

CREATE TABLE IF NOT EXISTS `loggedin` (
  `id` int(11) NOT NULL,
  `userid` int(11) NOT NULL,
  `provider` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'local',
  `token` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `created` datetime NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=172 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `pages`
--

CREATE TABLE IF NOT EXISTS `pages` (
  `page_id` int(11) NOT NULL,
  `page_title` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `page_slug` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `meta_desc` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `page_contents` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `page_group` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `enable_comments` tinyint(1) NOT NULL DEFAULT '1',
  `page_order` int(10) NOT NULL DEFAULT '0',
  `page_date` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `page_status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '0-don''t show in feed; 1-show in feed'
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `pass_request`
--

CREATE TABLE IF NOT EXISTS `pass_request` (
  `id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `token` varchar(16) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `created` datetime DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `photos`
--

CREATE TABLE IF NOT EXISTS `photos` (
  `photo_id` int(11) NOT NULL,
  `listing_id` int(11) NOT NULL,
  `dir` varchar(11) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `filename` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT ''
) ENGINE=InnoDB AUTO_INCREMENT=632 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `plans`
--

CREATE TABLE IF NOT EXISTS `plans` (
  `plan_id` int(11) NOT NULL,
  `plan_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `plan_name` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `plan_features` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `plan_period` int(10) NOT NULL DEFAULT '0',
  `plan_price` decimal(10,2) NOT NULL DEFAULT '0.00',
  `plan_credits` int(11) NOT NULL DEFAULT '0',
  `plan_max_pics` int(11) NOT NULL DEFAULT '0',
  `plan_order` int(11) NOT NULL DEFAULT '0',
  `plan_status` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `rel_cat_custom_fields`
--

CREATE TABLE IF NOT EXISTS `rel_cat_custom_fields` (
  `rel_id` int(11) NOT NULL,
  `cat_id` int(11) NOT NULL DEFAULT '0',
  `field_id` int(11) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=91 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `rel_cat_custom_fields`
--

INSERT INTO `rel_cat_custom_fields` (`rel_id`, `cat_id`, `field_id`) VALUES
(38, 171, 30),
(43, 101, 33),
(44, 173, 33),
(45, 174, 33),
(46, 101, 34),
(47, 173, 34),
(48, 174, 34),
(49, 101, 35),
(50, 173, 35),
(51, 174, 35),
(52, 112, 31),
(53, 100, 31),
(54, 171, 31),
(55, 172, 31),
(56, 106, 31),
(57, 102, 31),
(58, 107, 31),
(59, 103, 31),
(60, 108, 31),
(61, 109, 31),
(62, 110, 31),
(63, 101, 31),
(64, 173, 31),
(65, 174, 31),
(75, 100, 29),
(76, 171, 29),
(77, 172, 29),
(80, 100, 28),
(81, 171, 28),
(82, 172, 28),
(83, 100, 27),
(84, 171, 27),
(85, 100, 36),
(86, 171, 36),
(87, 172, 36),
(88, 101, 32),
(89, 173, 32),
(90, 174, 32);

-- --------------------------------------------------------

--
-- Table structure for table `rel_favorites`
--

CREATE TABLE IF NOT EXISTS `rel_favorites` (
  `id` int(11) NOT NULL,
  `listing_id` int(11) DEFAULT '0',
  `userid` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `rel_listing_cat`
--

CREATE TABLE `rel_listing_cat` (
  `id` int(11) NOT NULL,
  `listing_id` int(11) DEFAULT '0',
  `cat_id` int(11) NOT NULL,
  `city_id` int(11) DEFAULT NULL,
  `is_main` int(1) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `rel_listing_custom_fields`
--

CREATE TABLE IF NOT EXISTS `rel_listing_custom_fields` (
  `rel_id` int(11) NOT NULL,
  `listing_id` int(11) NOT NULL,
  `field_id` int(11) NOT NULL,
  `field_value` text COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=148 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `reviews`
--

CREATE TABLE IF NOT EXISTS `reviews` (
  `review_id` int(11) NOT NULL,
  `listing_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `rating` decimal(3,2) DEFAULT NULL,
  `text` mediumtext COLLATE utf8mb4_unicode_ci,
  `pubdate` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `signup_confirm`
--

CREATE TABLE IF NOT EXISTS `signup_confirm` (
  `id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `confirm_str` varchar(16) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `states`
--

CREATE TABLE IF NOT EXISTS `states` (
  `state_id` int(11) NOT NULL,
  `state_name` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL,
  `state_abbr` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `slug` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `country_abbr` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT 'country',
  `country_id` int(10) DEFAULT '1',
  `status` TINYINT(1) NOT NULL DEFAULT '1'
) ENGINE=InnoDB AUTO_INCREMENT=4923 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tmp_photos`
--

CREATE TABLE IF NOT EXISTS `tmp_photos` (
  `id` int(11) NOT NULL,
  `submit_token` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `filename` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `created` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB AUTO_INCREMENT=64 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `transactions`
--

CREATE TABLE IF NOT EXISTS `transactions` (
  `id` int(11) NOT NULL,
  `txn_type` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `uniq_id` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user` int(11) NOT NULL,
  `paym_email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `gateway` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `amount` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `txn_data` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `txn_date` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL,
  `email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `password` varchar(190) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `first_name` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `last_name` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `city_name` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `country_name` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `gender` varchar(1) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `b_year` int(4) DEFAULT NULL,
  `b_month` int(2) DEFAULT NULL,
  `b_day` int(2) DEFAULT NULL,
  `created` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `hybridauth_provider_name` varchar(190) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT 'Provider name',
  `hybridauth_provider_uid` varchar(190) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT 'Provider user ID',
  `ip_addr` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `status` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `profile_pic_status` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'none'
) ENGINE=InnoDB AUTO_INCREMENT=31 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `email`, `password`, `first_name`, `last_name`, `city_name`, `country_name`, `gender`, `b_year`, `b_month`, `b_day`, `created`, `hybridauth_provider_name`, `hybridauth_provider_uid`, `ip_addr`, `status`, `profile_pic_status`) VALUES
(1, 'admin@example.com', '$2y$10$rYSx5KkWrXjRid./EsMgWumr2JNg7oK.ZPF5uWknJ4K56TCAUMZyq', 'Admin', '', '', '', '', 0, 0, 0, '2016-03-19 23:24:10', 'local', '', '127.0.0.1', 'approved', 'approved');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `cats`
--
ALTER TABLE `cats`
  ADD PRIMARY KEY (`id`),
  ADD KEY `parent_id` (`parent_id`),
  ADD KEY `cat_status` (`cat_status`),
  ADD KEY `cat_slug` (`cat_slug`);

--
-- Indexes for table `cities`
--
ALTER TABLE `cities`
  ADD PRIMARY KEY (`city_id`),
  ADD KEY `state_id` (`state_id`);

--
-- Indexes for table `cities_feat`
--
ALTER TABLE `cities_feat`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `city_id` (`city_id`) USING BTREE;

--
-- Indexes for table `config`
--
ALTER TABLE `config`
  ADD PRIMARY KEY (`id`),
  ADD KEY `type` (`type`);

--
-- Indexes for table `contact_msgs`
--
ALTER TABLE `contact_msgs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sender_ip` (`sender_ip`);

--
-- Indexes for table `countries`
--
ALTER TABLE `countries`
  ADD PRIMARY KEY (`country_id`),
  ADD KEY `slug` (`slug`);

--
-- Indexes for table `coupons`
--
ALTER TABLE `coupons`
  ADD PRIMARY KEY (`id`),
  ADD KEY `listing_id` (`listing_id`) USING BTREE;

--
-- Indexes for table `credits`
--
ALTER TABLE `credits`
  ADD PRIMARY KEY (`id`),
  ADD KEY `user` (`user`),
  ADD KEY `uniq_id` (`uniq_id`);

--
-- Indexes for table `custom_fields`
--
ALTER TABLE `custom_fields`
  ADD PRIMARY KEY (`field_id`);

--
-- Indexes for table `email_templates`
--
ALTER TABLE `email_templates`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `listings`
--
ALTER TABLE `listings`
  ADD PRIMARY KEY (`listing_id`),
  ADD KEY `area_code` (`area_code`),
  ADD KEY `userid` (`userid`),
  ADD KEY `status` (`status`),
  ADD KEY `city_id` (`city_id`),
  ADD KEY `slug` (`slug`),
  ADD FULLTEXT KEY `description` (`description`);
ALTER TABLE `listings`
  ADD FULLTEXT KEY `listing_title` (`listing_title`,`description`,`short_desc`);

ALTER TABLE `listings` ADD INDEX(`credits_uniq_id`);

--
-- Indexes for table `loggedin`
--
ALTER TABLE `loggedin`
  ADD PRIMARY KEY (`id`),
  ADD KEY `userid` (`userid`);

--
-- Indexes for table `pages`
--
ALTER TABLE `pages`
  ADD PRIMARY KEY (`page_id`),
  ADD KEY `page_date` (`page_date`),
  ADD KEY `page_slug` (`page_slug`),
  ADD FULLTEXT KEY `page_search` (`page_title`,`meta_desc`,`page_contents`);

--
-- Indexes for table `pass_request`
--
ALTER TABLE `pass_request`
  ADD PRIMARY KEY (`id`),
  ADD KEY `user_id` (`user_id`);

--
-- Indexes for table `photos`
--
ALTER TABLE `photos`
  ADD PRIMARY KEY (`photo_id`),
  ADD KEY `place_id` (`listing_id`);

--
-- Indexes for table `plans`
--
ALTER TABLE `plans`
  ADD PRIMARY KEY (`plan_id`);

--
-- Indexes for table `rel_cat_custom_fields`
--
ALTER TABLE `rel_cat_custom_fields`
  ADD PRIMARY KEY (`rel_id`),
  ADD KEY `cat_id` (`cat_id`),
  ADD KEY `field_id` (`field_id`);

--
-- Indexes for table `rel_favorites`
--

ALTER TABLE `rel_favorites`
  ADD PRIMARY KEY (`id`),
  ADD KEY `listing_id` (`listing_id`),
  ADD KEY `userid` (`userid`);

--
-- Indexes for table `rel_listing_cat`
--
ALTER TABLE `rel_listing_cat`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `place_x_cat` (`listing_id`,`cat_id`) USING BTREE,
  ADD KEY `place_id` (`listing_id`),
  ADD KEY `cat_id` (`cat_id`);

--
-- Indexes for table `rel_listing_custom_fields`
--
ALTER TABLE `rel_listing_custom_fields`
  ADD PRIMARY KEY (`rel_id`),
  ADD KEY `option_id` (`field_id`),
  ADD KEY `place_id` (`listing_id`),
  ADD FULLTEXT KEY `field_value` (`field_value`);

--
-- Indexes for table `reviews`
--
ALTER TABLE `reviews`
  ADD PRIMARY KEY (`review_id`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `listing_id` (`listing_id`) USING BTREE;

--
-- Indexes for table `signup_confirm`
--
ALTER TABLE `signup_confirm`
  ADD PRIMARY KEY (`id`),
  ADD KEY `user_id` (`user_id`);

--
-- Indexes for table `states`
--
ALTER TABLE `states`
  ADD PRIMARY KEY (`state_id`),
  ADD KEY `slug` (`slug`);

--
-- Indexes for table `tmp_photos`
--
ALTER TABLE `tmp_photos`
  ADD PRIMARY KEY (`id`),
  ADD KEY `filename` (`filename`);

--
-- Indexes for table `transactions`
--
ALTER TABLE `transactions`
  ADD PRIMARY KEY (`id`),
  ADD KEY `uniq_id` (`uniq_id`),
  ADD KEY `user` (`user`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `email` (`email`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `cats`
--
ALTER TABLE `cats`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=176;

--
-- AUTO_INCREMENT for table `cities`
--
ALTER TABLE `cities`
  MODIFY `city_id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=108401;
--
-- AUTO_INCREMENT for table `cities_feat`
--
ALTER TABLE `cities_feat`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=13;

--
-- AUTO_INCREMENT for table `config`
--
ALTER TABLE `config`
  MODIFY `id` int(10) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=86;

--
-- AUTO_INCREMENT for table `contact_msgs`
--
ALTER TABLE `contact_msgs`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `countries`
--
ALTER TABLE `countries`
  MODIFY `country_id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=242;

--
-- AUTO_INCREMENT for table `coupons`
--
ALTER TABLE `coupons`
  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `credits`
--
ALTER TABLE `credits`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `custom_fields`
--
ALTER TABLE `custom_fields`
  MODIFY `field_id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=37;

--
-- AUTO_INCREMENT for table `email_templates`
--
ALTER TABLE `email_templates`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=14;

--
-- AUTO_INCREMENT for table `listings`
--
ALTER TABLE `listings`
  MODIFY `listing_id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=368;

--
-- AUTO_INCREMENT for table `loggedin`
--
ALTER TABLE `loggedin`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=172;

--
-- AUTO_INCREMENT for table `pages`
--
ALTER TABLE `pages`
  MODIFY `page_id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=10;

--
-- AUTO_INCREMENT for table `pass_request`
--
ALTER TABLE `pass_request`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=13;

--
-- AUTO_INCREMENT for table `photos`
--
ALTER TABLE `photos`
  MODIFY `photo_id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=632;

--
-- AUTO_INCREMENT for table `plans`
--
ALTER TABLE `plans`
  MODIFY `plan_id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=11;

--
-- AUTO_INCREMENT for table `rel_cat_custom_fields`
--
ALTER TABLE `rel_cat_custom_fields`
  MODIFY `rel_id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=91;

--
-- AUTO_INCREMENT for table `rel_favorites`
--
ALTER TABLE `rel_favorites`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `rel_listing_cat`
--
ALTER TABLE `rel_listing_cat`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=394;

--
-- AUTO_INCREMENT for table `rel_listing_custom_fields`
--
ALTER TABLE `rel_listing_custom_fields`
  MODIFY `rel_id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=148;

--
-- AUTO_INCREMENT for table `reviews`
--
ALTER TABLE `reviews`
  MODIFY `review_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `signup_confirm`
--
ALTER TABLE `signup_confirm`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `states`
--
ALTER TABLE `states`
  MODIFY `state_id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=4923;

--
-- AUTO_INCREMENT for table `tmp_photos`
--
ALTER TABLE `tmp_photos`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=64;

--
-- AUTO_INCREMENT for table `transactions`
--
ALTER TABLE `transactions`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=129;

--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=31;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `cities_feat`
--
ALTER TABLE `cities_feat`
  ADD CONSTRAINT `cities_feat_ibfk_1` FOREIGN KEY (`city_id`) REFERENCES `cities` (`city_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `coupons`
--
ALTER TABLE `coupons`
  ADD CONSTRAINT `coupons_ibfk_1` FOREIGN KEY (`listing_id`) REFERENCES `listings` (`listing_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `credits`
--
ALTER TABLE `credits`
  ADD CONSTRAINT `credits_ibfk_1` FOREIGN KEY (`user`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `loggedin`
--
ALTER TABLE `loggedin`
  ADD CONSTRAINT `loggedin_ibfk_1` FOREIGN KEY (`userid`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `pass_request`
--
ALTER TABLE `pass_request`
  ADD CONSTRAINT `pass_request_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `photos`
--
ALTER TABLE `photos`
  ADD CONSTRAINT `photos_ibfk_1` FOREIGN KEY (`listing_id`) REFERENCES `listings` (`listing_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `rel_cat_custom_fields`
--
ALTER TABLE `rel_cat_custom_fields`
  ADD CONSTRAINT `rel_cat_custom_fields_ibfk_1` FOREIGN KEY (`cat_id`) REFERENCES `cats` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `rel_cat_custom_fields_ibfk_2` FOREIGN KEY (`field_id`) REFERENCES `custom_fields` (`field_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `rel_listing_cat`
--
ALTER TABLE `rel_listing_cat`
  ADD CONSTRAINT `rel_listing_cat_ibfk_1` FOREIGN KEY (`listing_id`) REFERENCES `listings` (`listing_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `rel_listing_cat_ibfk_2` FOREIGN KEY (`cat_id`) REFERENCES `cats` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `rel_listing_custom_fields`
--
ALTER TABLE `rel_listing_custom_fields`
  ADD CONSTRAINT `rel_listing_custom_fields_ibfk_1` FOREIGN KEY (`field_id`) REFERENCES `custom_fields` (`field_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `rel_listing_custom_fields_ibfk_3` FOREIGN KEY (`listing_id`) REFERENCES `listings` (`listing_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `reviews`
--
ALTER TABLE `reviews`
  ADD CONSTRAINT `reviews_ibfk_1` FOREIGN KEY (`listing_id`) REFERENCES `listings` (`listing_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `signup_confirm`
--
ALTER TABLE `signup_confirm`
  ADD CONSTRAINT `signup_confirm_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `rel_favorites`
--
ALTER TABLE `rel_favorites`
  ADD CONSTRAINT `rel_favorites_ibfk_1` FOREIGN KEY (`listing_id`) REFERENCES `listings` (`listing_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `rel_favorites_ibfk_2` FOREIGN KEY (`userid`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Table structure for table `language`
--

CREATE TABLE IF NOT EXISTS `language` (
  `id` int(11) NOT NULL,
  `lang` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'en',
  `section` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'public',
  `template` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `var_name` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `translated` text COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `language`
--
ALTER TABLE `language`
  ADD PRIMARY KEY (`id`),
  ADD KEY `lang` (`lang`),
  ADD KEY `template` (`template`),
  ADD KEY `section` (`section`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `language`
--
ALTER TABLE `language`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- Dumping data for table `language`
--
INSERT INTO `language` (`lang`, `section`, `template`, `var_name`, `translated`) VALUES
('en', 'public', 'global', 'txt_admin', 'Admin Area'),
('en', 'public', 'global', 'txt_address', 'Address'),
('en', 'public', 'global', 'txt_all', 'All'),
('en', 'public', 'global', 'txt_approve', 'Approve'),
('en', 'public', 'global', 'txt_approved', 'Approved'),
('en', 'public', 'global', 'txt_asearch', 'Advanced Search'),
('en', 'public', 'global', 'txt_bg_color', 'Background color'),
('en', 'public', 'global', 'txt_blog', 'Blog'),
('en', 'public', 'global', 'txt_cancel', 'Cancel'),
('en', 'public', 'global', 'txt_category', 'Category'),
('en', 'public', 'global', 'txt_categories', 'Categories'),
('en', 'public', 'global', 'txt_change', 'Change'),
('en', 'public', 'global', 'txt_change_pass', 'Change Password'),
('en', 'public', 'global', 'txt_cities', 'Cities'),
('en', 'public', 'global', 'txt_city', 'City'),
('en', 'public', 'global', 'txt_clear', 'Clear'),
('en', 'public', 'global', 'txt_close', 'Close'),
('en', 'public', 'global', 'txt_condition', 'Condition'),
('en', 'public', 'global', 'txt_confirm', 'Confirm'),
('en', 'public', 'global', 'txt_contact', 'Contact'),
('en', 'public', 'global', 'txt_contact_user', 'Contact User'),
('en', 'public', 'global', 'txt_countries', 'Countries'),
('en', 'public', 'global', 'txt_country', 'Country'),
('en', 'public', 'global', 'txt_coupon', 'Coupon'),
('en', 'public', 'global', 'txt_coupons', 'Coupons'),
('en', 'public', 'global', 'txt_create_listing', 'Create Listing'),
('en', 'public', 'global', 'txt_dashboard', 'Dashboard'),
('en', 'public', 'global', 'txt_date', 'Date'),
('en', 'public', 'global', 'txt_default', 'Default'),
('en', 'public', 'global', 'txt_delete', 'Delete'),
('en', 'public', 'global', 'txt_disabled', 'Disabled'),
('en', 'public', 'global', 'txt_edit', 'Edit'),
('en', 'public', 'global', 'txt_email', 'Email'),
('en', 'public', 'global', 'txt_enabled', 'Enabled'),
('en', 'public', 'global', 'txt_event', 'Event'),
('en', 'public', 'global', 'txt_events', 'Events'),
('en', 'public', 'global', 'txt_example', 'Example'),
('en', 'public', 'global', 'txt_explore', 'Explore'),
('en', 'public', 'global', 'txt_favorites', 'Favorites'),
('en', 'public', 'global', 'txt_featured', 'Featured'),
('en', 'public', 'global', 'txt_from', 'From'),
('en', 'public', 'global', 'txt_get_listed', 'Get Listed Today'),
('en', 'public', 'global', 'txt_help', 'Help'),
('en', 'public', 'global', 'txt_home', 'Home'),
('en', 'public', 'global', 'txt_id', 'Id'),
('en', 'public', 'global', 'txt_invalid_email', 'Invalid email'),
('en', 'public', 'global', 'txt_keyword', 'Search...'),
('en', 'public', 'global', 'txt_listing', 'Listing'),
('en', 'public', 'global', 'txt_listings', 'Listings'),
('en', 'public', 'global', 'txt_loading', 'Loading'),
('en', 'public', 'global', 'txt_location', 'Location'),
('en', 'public', 'global', 'txt_message', 'Message'),
('en', 'public', 'global', 'txt_message_sent', 'Message sent'),
('en', 'public', 'global', 'txt_meta_desc', ''),
('en', 'public', 'global', 'txt_month', 'Month'),
('en', 'public', 'global', 'txt_name', 'Name'),
('en', 'public', 'global', 'txt_new', 'New'),
('en', 'public', 'global', 'txt_no', 'No'),
('en', 'public', 'global', 'txt_no_results', 'No results'),
('en', 'public', 'global', 'txt_ok', 'OK'),
('en', 'public', 'global', 'txt_optional', 'Optional'),
('en', 'public', 'global', 'txt_page', 'Page'),
('en', 'public', 'global', 'txt_pager_page1', 'Page 1'),
('en', 'public', 'global', 'txt_pager_last_page', 'Last Page'),
('en', 'public', 'global', 'txt_pages', 'Pages'),
('en', 'public', 'global', 'txt_password', 'Password'),
('en', 'public', 'global', 'txt_pending', 'Pending'),
('en', 'public', 'global', 'txt_phone', 'Phone'),
('en', 'public', 'global', 'txt_photo', 'Photo'),
('en', 'public', 'global', 'txt_photos', 'Photos'),
('en', 'public', 'global', 'txt_picture', 'Picture'),
('en', 'public', 'global', 'txt_pictures', 'Pictures'),
('en', 'public', 'global', 'txt_plans', 'Plans'),
('en', 'public', 'global', 'txt_please_wait', 'Please wait a few seconds before submitting again'),
('en', 'public', 'global', 'txt_postal_code', 'Postal Code'),
('en', 'public', 'global', 'txt_price', 'Price'),
('en', 'public', 'global', 'txt_print', 'Print'),
('en', 'public', 'global', 'txt_profile', 'Profile'),
('en', 'public', 'global', 'txt_rate_bad', 'bad'),
('en', 'public', 'global', 'txt_rate_good', 'good'),
('en', 'public', 'global', 'txt_rate_gorgeous', 'gorgeous'),
('en', 'public', 'global', 'txt_rate_poor', 'poor'),
('en', 'public', 'global', 'txt_rate_regular', 'regular'),
('en', 'public', 'global', 'txt_region', 'Region'),
('en', 'public', 'global', 'txt_regions', 'Regions'),
('en', 'public', 'global', 'txt_register', 'Register'),
('en', 'public', 'global', 'txt_remaining', 'Remaining'),
('en', 'public', 'global', 'txt_remove', 'Remove'),
('en', 'public', 'global', 'txt_required', 'Required'),
('en', 'public', 'global', 'txt_reviews', 'Reviews'),
('en', 'public', 'global', 'txt_save', 'Save changes'),
('en', 'public', 'global', 'txt_send_email', 'Send Email'),
('en', 'public', 'global', 'txt_search', 'Search'),
('en', 'public', 'global', 'txt_selectyourcity', 'Select city'),
('en', 'public', 'global', 'txt_signin', 'Sign in'),
('en', 'public', 'global', 'txt_signout', 'Sign out'),
('en', 'public', 'global', 'txt_short_desc', 'Short Description'),
('en', 'public', 'global', 'txt_sort_date_asc', 'Oldest Listings'),
('en', 'public', 'global', 'txt_sort_date_desc', 'Newest Listings'),
('en', 'public', 'global', 'txt_sort_price_asc', 'Price: Low to High'),
('en', 'public', 'global', 'txt_sort_price_desc', 'Price: High to Low'),
('en', 'public', 'global', 'txt_state', 'State'),
('en', 'public', 'global', 'txt_states', 'States'),
('en', 'public', 'global', 'txt_subject', 'Subject'),
('en', 'public', 'global', 'txt_submit', 'Submit'),
('en', 'public', 'global', 'txt_sort', 'Sort'),
('en', 'public', 'global', 'txt_tags', 'Tags'),
('en', 'public', 'global', 'txt_thanks', 'Thanks'),
('en', 'public', 'global', 'txt_to', 'To'),
('en', 'public', 'global', 'txt_total_rows', 'Total rows'),
('en', 'public', 'global', 'txt_try_again', 'Try again'),
('en', 'public', 'global', 'txt_upload', 'Upload'),
('en', 'public', 'global', 'txt_use_cur_loc', 'Use current location'),
('en', 'public', 'global', 'txt_used', 'Used'),
('en', 'public', 'global', 'txt_user', 'User'),
('en', 'public', 'global', 'txt_users', 'Users'),
('en', 'public', 'global', 'txt_view_all', 'View All'),
('en', 'public', 'global', 'txt_wait', 'Please wait'),
('en', 'public', 'global', 'txt_year', 'Year'),
('en', 'public', 'global', 'txt_yes', 'Yes'),
('en', 'public', 'home', 'txt_html_title', 'Classified Ads'),
('en', 'public', 'home', 'txt_meta_desc', 'We provide local classifieds for jobs, housing, for sale, services, local community, and events'),
('en', 'public', 'home', 'txt_featured_cities', 'Featured Cities'),
('en', 'public', 'home', 'txt_featured_listings', 'Featured Listings'),
('en', 'public', 'home', 'txt_latest_listings', 'Latest Listings'),
('en', 'public', 'home', 'txt_near_listings', 'listings Near You'),
('en', 'public', 'home', 'txt_view_cat', 'View Category'),
('en', 'public', 'home', 'txt_view_listing', 'View Listing'),
('en', 'public', 'home', 'txt_view_listings', 'View Listings'),
('en', 'public', 'home', 'txt_phrase_01', 'Explore listings in this city'),
('en', 'public', 'home', 'txt_phrase_02', 'Find the best hotels, shops and restaurants in your local area.'),
('en', 'public', 'home', 'txt_phrase_03', 'Most Popular Categories'),
('en', 'public', 'home', 'txt_phrase_04', 'Featured Listings'),
('en', 'public', 'home', 'txt_phrase_05', 'Explore The Latest Listings'),
('en', 'public', 'home', 'txt_phrase_06', 'Most Popular Cities'),
('en', 'public', 'home', 'txt_phrase_07', 'Recommended Listings Near You'),
('en', 'public', 'home', 'txt_phrase_08', ''),
('en', 'public', 'home', 'txt_phrase_09', ''),
('en', 'public', 'home', 'txt_phrase_10', ''),
('en', 'public', 'categories', 'txt_html_title_1', 'All Categories in %city_name%, %state_abbr%'),
('en', 'public', 'categories', 'txt_meta_desc_1', 'Listings in %city_name%, %state_abbr%'),
('en', 'public', 'categories', 'txt_main_title_1', 'All Categories in %city_name%, %state_abbr%'),
('en', 'public', 'categories', 'txt_suggest_city', 'Show categories in %city_name%'),
('en', 'public', 'categories', 'txt_all_cats_city', 'All Categories in %city_name%'),
('en', 'public', 'categories', 'txt_all_locs', 'All locations'),
('en', 'public', 'categories', 'txt_html_title_2', 'All Categories'),
('en', 'public', 'categories', 'txt_meta_desc_2', 'Listings'),
('en', 'public', 'categories', 'txt_main_title_2', 'All Categories'),
('en', 'public', 'categories', 'txt_all_cats', 'All Categories'),
('en', 'public', 'claim', 'txt_html_title', 'Claim Listing'),
('en', 'public', 'claim', 'txt_main_title', 'Claim Listing'),
('en', 'public', 'claim', 'txt_buy_now', 'Select this plan'),
('en', 'public', 'claim', 'txt_claimed', 'This listing has already been claimed'),
('en', 'public', 'claim', 'txt_month', 'month'),
('en', 'public', 'claim', 'txt_no_plans', 'There are no plans defined.'),
('en', 'public', 'claim', 'txt_sign_in', 'To claim this listing you need to sign in.'),
('en', 'public', 'claim', 'txt_year', 'year'),
('en', 'public', 'claim', 'txt_select_plan', 'Select Plan'),
('en', 'public', 'claim', 'txt_buy_credits', 'Or buy credits'),
('en', 'public', 'claim', 'txt_credits_remain', '%credits% credits remaining'),
('en', 'public', 'contact', 'txt_html_title', 'Contact'),
('en', 'public', 'contact', 'txt_main_title', 'Contact'),
('en', 'public', 'contact', 'txt_message', 'Message'),
('en', 'public', 'contact', 'txt_send_message', 'Send Message'),
('en', 'public', 'contact', 'txt_message_sent', 'Message sent.'),
('en', 'public', 'coupon', 'txt_html_title', 'Coupons'),
('en', 'public', 'coupon', 'txt_meta_desc', 'Coupons'),
('en', 'public', 'coupon', 'txt_view_details', 'View Details'),
('en', 'public', 'coupon', 'txt_tweet', 'Tweet'),
('en', 'public', 'coupon', 'txt_share', 'Share'),
('en', 'public', 'coupon', 'txt_mail', 'Mail'),
('en', 'public', 'coupon', 'txt_created_by', 'Created by'),
('en', 'public', 'coupon', 'txt_expires', 'Expires'),
('en', 'public', 'coupon', 'txt_expired', 'Expired'),
('en', 'public', 'coupon', 'txt_about_coupon', 'About this coupon'),
('en', 'public', 'coupons', 'txt_html_title', 'Coupons'),
('en', 'public', 'coupons', 'txt_meta_desc', 'Coupons'),
('en', 'public', 'coupons', 'txt_view_details', 'View Details'),
('en', 'public', 'coupons', 'txt_tweet', 'Tweet'),
('en', 'public', 'coupons', 'txt_share', 'Share'),
('en', 'public', 'coupons', 'txt_mail', 'Mail'),
('en', 'public', 'coupons', 'txt_created_by', 'Created by'),
('en', 'public', 'coupons', 'txt_expires', 'Expires'),
('en', 'public', 'coupons', 'txt_expired', 'Expired'),
('en', 'public', 'coupons', 'txt_about_coupon', 'About this coupon'),
('en', 'public', 'favorites', 'txt_html_title', '%profile_display_name%\'s Favorites'),
('en', 'public', 'favorites', 'txt_meta_desc', '%profile_display_name%\'s Favorites'),
('en', 'public', 'favorites', 'txt_joined_on', 'Joined on %join_date%'),
('en', 'public', 'favorites', 'txt_recent_activity', 'Recent Activity'),
('en', 'public', 'favorites', 'txt_no_activity', 'No recent activity'),
('en', 'public', 'listing', 'txt_add_to_favorites', 'Add to Favorites'),
('en', 'public', 'listing', 'txt_additional_info', 'Additional Info'),
('en', 'public', 'listing', 'txt_claim', 'Claim Listing'),
('en', 'public', 'listing', 'txt_click_to_chat', 'Click to chat using whatsapp'),
('en', 'public', 'listing', 'txt_contact_seller', 'Contact Seller'),
('en', 'public', 'listing', 'txt_description', 'Description'),
('en', 'public', 'listing', 'txt_features', 'Features'),
('en', 'public', 'listing', 'txt_hours', 'Hours'),
('en', 'public', 'listing', 'txt_location', 'Location'),
('en', 'public', 'listing', 'txt_more_details', 'More Details'),
('en', 'public', 'listing', 'txt_send_email', 'Send an email'),
('en', 'public', 'listing', 'txt_other_listings', 'Other Listings'),
('en', 'public', 'listing', 'txt_overview', 'Overview'),
('en', 'public', 'listing', 'txt_please_rate', 'Please rate this listing'),
('en', 'public', 'listing', 'txt_related', 'See Also'),
('en', 'public', 'listing', 'txt_review_login_req', 'To write a review, you must login first.'),
('en', 'public', 'listing', 'txt_review_txtarea_label', 'Review'),
('en', 'public', 'listing', 'txt_same_seller', 'From the Same Seller'),
('en', 'public', 'listing', 'txt_seller_info', 'Seller Info'),
('en', 'public', 'listing', 'txt_share', 'Share This Listing'),
('en', 'public', 'listing', 'txt_social', 'Social Media'),
('en', 'public', 'listing', 'txt_short_desc', 'Short Description'),
('en', 'public', 'listing', 'txt_view_details', 'View Details'),
('en', 'public', 'listing', 'txt_website', 'Website'),
('en', 'public', 'listing', 'txt_write_review', 'Write a review'),
('en', 'public', 'listing', 'txt_your_email', 'Your email'),
('en', 'public', 'listings', 'txt_html_title', 'Best %plural_name% in %location%'),
('en', 'public', 'listings', 'txt_meta_desc', 'Best %plural_name% in %location%. %listings_titles% and others.'),
('en', 'public', 'listings', 'txt_listings', 'Listings'),
('en', 'public', 'listings', 'txt_locations', 'Locations'),
('en', 'public', 'listings', 'txt_no_results', 'There are no listings to display.'),
('en', 'public', 'listings', 'txt_pager_lastpage', 'Last Page'),
('en', 'public', 'listings', 'txt_pager_page1', 'Page 1'),
('en', 'public', 'listings', 'txt_recommended', 'Recommended'),
('en', 'public', 'listings', 'txt_results', 'Result(s)'),
('en', 'public', 'msg', 'txt_main_title_stripe', 'Thank you for your payment'),
('en', 'public', 'msg', 'txt_msg_stripe', 'Payment successful. Thank you for your business!'),
('en', 'public', 'post', 'txt_view_details', 'View Details'),
('en', 'public', 'post', 'txt_tweet', 'Tweet'),
('en', 'public', 'post', 'txt_share', 'Share'),
('en', 'public', 'post', 'txt_mail', 'Mail'),
('en', 'public', 'post', 'txt_created_by', 'Created by'),
('en', 'public', 'post', 'txt_expires', 'Expires'),
('en', 'public', 'post', 'txt_expired', 'Expired'),
('en', 'public', 'post', 'txt_about_coupon', 'About this coupon'),
('en', 'public', 'post', 'txt_search_pages', 'Search blog'),
('en', 'public', 'posts', 'txt_html_title', 'Website Blog'),
('en', 'public', 'posts', 'txt_meta_desc', 'Website Blog'),
('en', 'public', 'posts', 'txt_view_details', 'View Details'),
('en', 'public', 'posts', 'txt_tweet', 'Tweet'),
('en', 'public', 'posts', 'txt_share', 'Share'),
('en', 'public', 'posts', 'txt_mail', 'Mail'),
('en', 'public', 'posts', 'txt_search_pages', 'Search blog'),
('en', 'public', 'posts', 'txt_posted_on', 'Posted on %date%'),
('en', 'public', 'profile', 'txt_html_title', '%profile_display_name% Profile'),
('en', 'public', 'profile', 'txt_meta_desc', '%profile_display_name% Profile'),
('en', 'public', 'profile', 'txt_joined_on', 'Joined on %join_date%'),
('en', 'public', 'profile', 'txt_recent_activity', 'Recent Activity'),
('en', 'public', 'profile', 'txt_no_activity', 'No recent activity'),
('en', 'public', 'results', 'txt_html_title', 'Search Results'),
('en', 'public', 'results', 'txt_main_title', 'Search Results'),
('en', 'public', 'results', 'txt_keyword', 'Keyword'),
('en', 'public', 'results', 'txt_city', 'City'),
('en', 'public', 'results', 'txt_category', 'Category'),
('en', 'public', 'results', 'txt_cat_all', 'All Categories'),
('en', 'public', 'results', 'txt_locations', 'Locations'),
('en', 'public', 'results', 'txt_search_results', 'Search Results'),
('en', 'public', 'reviews', 'txt_html_title', '%profile_display_name%\'s Reviews'),
('en', 'public', 'reviews', 'txt_meta_desc', '%profile_display_name%\'s Reviews'),
('en', 'public', 'reviews', 'txt_joined_on', 'Joined on %join_date%'),
('en', 'public', 'reviews', 'txt_recent_activity', 'Recent Activity'),
('en', 'public', 'reviews', 'txt_no_activity', 'No recent activity'),
('en', 'public', 'search', 'txt_html_title', 'Search results for  %search_term% in %location%'),
('en', 'public', 'search', 'txt_meta_desc', 'Displaying results related to %search_term% in %location%'),
('en', 'public', 'search', 'txt_main_title', 'Search results for %search_term% in %location%'),
('en', 'public', 'search', 'txt_empty_results', 'Your search for \'%search_term%\' did not return any results.'),
('en', 'public', 'search', 'txt_html_title_no_loc', 'Search results for %search_term%'),
('en', 'public', 'search', 'txt_meta_desc_no_loc', 'Displaying a list of listings related to \'%search_term%\''),
('en', 'public', 'search', 'txt_main_title_no_loc', 'Search results for %search_term%'),
('en', 'user', 'create-listing', 'txt_html_title', 'Create Listing'),
('en', 'user', 'create-listing', 'txt_main_title', 'Create Listing'),
('en', 'user', 'create-listing', 'txt_area_code', 'Area Code'),
('en', 'user', 'create-listing', 'txt_buy_credits', 'Or buy credits'),
('en', 'user', 'create-listing', 'txt_click_map', 'Please click on the map to create a marker representing the item location.'),
('en', 'user', 'create-listing', 'txt_credits_remain', '%credits% credits remaining'),
('en', 'user', 'create-listing', 'txt_custom_fields', 'Custom Fields'),
('en', 'user', 'create-listing', 'txt_description', 'Description'),
('en', 'user', 'create-listing', 'txt_error_file_size', 'The uploaded file exceeds allowed size'),
('en', 'user', 'create-listing', 'txt_error_upload', 'Problem uploading file. Please try again or try another file.'),
('en', 'user', 'create-listing', 'txt_main_pic', 'Main Photo'),
('en', 'user', 'create-listing', 'txt_other_info', 'Other Information'),
('en', 'user', 'create-listing', 'txt_postal_code', 'Postal Code'),
('en', 'user', 'create-listing', 'txt_select_cat', 'Select Category'),
('en', 'user', 'create-listing', 'txt_select_city', 'Select City'),
('en', 'user', 'create-listing', 'txt_select_plan', 'Select Plan'),
('en', 'user', 'create-listing', 'txt_submit_listing', 'Submit Listing'),
('en', 'user', 'create-listing', 'txt_title', 'Item Title'),
('en', 'user', 'create-listing', 'txt_upload', 'Upload Photos'),
('en', 'user', 'create-listing', 'txt_upload_btn', 'Browse'),
('en', 'user', 'create-listing', 'txt_upload_limit', 'Maximum Upload Limit'),
('en', 'user', 'create-listing', 'txt_upload_main_pic', 'Upload Main Photo'),
('en', 'user', 'create-listing', 'txt_validate_addr', 'Please enter the address'),
('en', 'user', 'create-listing', 'txt_validate_cat', 'Please select a category'),
('en', 'user', 'create-listing', 'txt_validate_city', 'Please select a city'),
('en', 'user', 'create-listing', 'txt_validate_map', 'Please place a pin on the map'),
('en', 'user', 'create-listing', 'txt_website', 'Website'),
('en', 'user', 'edit-listing', 'txt_html_title', 'Edit Listing'),
('en', 'user', 'edit-listing', 'txt_main_title', 'Edit Listing'),
('en', 'user', 'edit-listing', 'txt_sub_header', 'Editing information for: %listing_title%'),
('en', 'user', 'edit-listing', 'txt_area_code', 'Area Code'),
('en', 'user', 'edit-listing', 'txt_click_map', 'Please click on the map to create a marker representing the item location.'),
('en', 'user', 'edit-listing', 'txt_custom_fields', 'Custom fields'),
('en', 'user', 'edit-listing', 'txt_description', 'Description'),
('en', 'user', 'edit-listing', 'txt_error_file_size', 'The uploaded file exceeds allowed size'),
('en', 'user', 'edit-listing', 'txt_error_upload', 'Problem uploading file. Please try again or try another file.'),
('en', 'user', 'edit-listing', 'txt_main_pic', 'Main Photo'),
('en', 'user', 'edit-listing', 'txt_other_info', 'Other Information'),
('en', 'user', 'edit-listing', 'txt_postal_code', 'Postal Code'),
('en', 'user', 'edit-listing', 'txt_select_cat', 'Select category'),
('en', 'user', 'edit-listing', 'txt_select_city', 'Select city'),
('en', 'user', 'edit-listing', 'txt_submit_listing', 'Submit Listing'),
('en', 'user', 'edit-listing', 'txt_title', 'Item Title'),
('en', 'user', 'edit-listing', 'txt_upload', 'Upload photos'),
('en', 'user', 'edit-listing', 'txt_upload_btn', 'Browse'),
('en', 'user', 'edit-listing', 'txt_upload_limit', 'Maximum Upload Limit'),
('en', 'user', 'edit-listing', 'txt_upload_main_pic', 'Upload Main Photo'),
('en', 'user', 'edit-listing', 'txt_validate_addr', 'Please enter the address'),
('en', 'user', 'edit-listing', 'txt_validate_cat', 'Please select a category'),
('en', 'user', 'edit-listing', 'txt_validate_city', 'Please select a city'),
('en', 'user', 'edit-listing', 'txt_validate_map', 'Please place a pin on the map'),
('en', 'user', 'edit-listing', 'txt_website', 'Website'),
('en', 'user', 'edit-pass', 'txt_html_title', 'Edit Pass'),
('en', 'user', 'edit-pass', 'txt_main_title', 'Change Password'),
('en', 'user', 'edit-pass', 'txt_label_cur_pass', 'Current Password'),
('en', 'user', 'edit-pass', 'txt_label_new_pass', 'New Password'),
('en', 'user', 'edit-pass', 'txt_btn_submit', 'Save Changes'),
('en', 'user', 'edit-pass', 'txt_social_user', '<p>You\'re logged in using Facebook or Twitter, so you don\'t have to manage a password for this site.</p>'),
('en', 'user', 'forgot-password', 'txt_html_title', 'Forgot your password'),
('en', 'user', 'forgot-password', 'txt_main_title', 'Forgot your password?'),
('en', 'user', 'forgot-password', 'txt_forgot_pass', 'Forgot password'),
('en', 'user', 'forgot-password', 'txt_enter_email', 'Enter your email address to reset your password'),
('en', 'user', 'forgot-password', 'txt_or_login', 'Or'),
('en', 'user', 'forgot-password', 'txt_request_sent', 'You will receive a password recovery link at your email address in a few seconds.'),
('en', 'user', 'forgot-password', 'txt_mailer_problem', 'Error: could not deliver email to the specified address. Please try again.'),
('en', 'user', 'forgot-password', 'txt_invalid_email', 'Invalid email address. Please try again.'),
('en', 'user', 'forgot-password', 'txt_try_again', 'Try again'),
('en', 'user', 'my-coupons', 'txt_apply_to', 'Apply to'),
('en', 'user', 'my-coupons', 'txt_coupon_created', 'Coupon created'),
('en', 'user', 'my-coupons', 'txt_create', 'Create coupon'),
('en', 'user', 'my-coupons', 'txt_description', 'Coupon description'),
('en', 'user', 'my-coupons', 'txt_expire', 'Valid until'),
('en', 'user', 'my-coupons', 'txt_expired', 'Expired'),
('en', 'user', 'my-coupons', 'txt_html_title', 'My Coupons'),
('en', 'user', 'my-coupons', 'txt_img', 'Coupon image'),
('en', 'user', 'my-coupons', 'txt_main_title', 'My Coupons'),
('en', 'user', 'my-coupons', 'txt_no_coupons', 'You haven\'t created any coupons yet.'),
('en', 'user', 'my-coupons', 'txt_no_listings', 'To create coupons, please create a listing first.'),
('en', 'user', 'my-coupons', 'txt_remove_warn', 'Are you sure you want to delete this coupon?'),
('en', 'user', 'my-coupons', 'txt_title', 'Title'),
('en', 'user', 'my-favorites', 'txt_html_title', 'My Favorites'),
('en', 'user', 'my-favorites', 'txt_main_title', 'My Favorites'),
('en', 'user', 'my-listings', 'txt_html_title', 'My Listings'),
('en', 'user', 'my-listings', 'txt_main_title', 'My Listings'),
('en', 'user', 'my-listings', 'txt_status_approved', 'Approved'),
('en', 'user', 'my-listings', 'txt_status_pending', 'Pending'),
('en', 'user', 'my-listings', 'txt_no_activity', 'You haven\'t submitted a listing yet.'),
('en', 'user', 'my-listings', 'txt_remove_confirm', 'Are you sure you want to remove this listing?'),
('en', 'user', 'my-profile', 'txt_html_title', 'My Profile'),
('en', 'user', 'my-profile', 'txt_main_title', 'My Profile'),
('en', 'user', 'my-profile', 'txt_fname', 'First Name'),
('en', 'user', 'my-profile', 'txt_lname', 'Last Name'),
('en', 'user', 'my-profile', 'txt_download_data', 'Download Data'),
('en', 'user', 'my-plans', 'txt_html_title', 'My Plans'),
('en', 'user', 'my-plans', 'txt_main_title', 'My Plans'),
('en', 'user', 'my-plans', 'txt_plan_name', 'Name'),
('en', 'user', 'my-plans', 'txt_plan_type', 'Type'),
('en', 'user', 'my-plans', 'txt_cancel_confirm', 'Are you sure you want to cancel this plan?'),
('en', 'user', 'my-plans', 'txt_cancel_paypal', 'This plan is a Paypal Subscription. To cancel this subscription please access your Paypal dashboard.'),
('en', 'user', 'my-plans', 'txt_cancel_plan', 'Cancel Plan'),
('en', 'user', 'my-plans', 'txt_credits', 'Credits'),
('en', 'user', 'my-plans', 'txt_action', 'Action'),
('en', 'user', 'my-plans', 'txt_no_results', 'You haven\'t purchased any plans yet.'),
('en', 'user', 'my-reviews', 'txt_html_title', 'My Reviews'),
('en', 'user', 'my-reviews', 'txt_main_title', 'My Reviews'),
('en', 'user', 'my-reviews', 'txt_remove_review', 'Remove review'),
('en', 'user', 'my-reviews', 'txt_edit_review', 'Edit review'),
('en', 'user', 'my-reviews', 'txt_no_activity', 'You have not reviewed any listings yet.'),
('en', 'user', 'my-reviews', 'txt_remove_confirm', 'Are you sure you want to remove this review?'),
('en', 'user', 'password-reset', 'txt_html_title', 'Reset your password'),
('en', 'user', 'password-reset', 'txt_main_title', 'Reset your password'),
('en', 'user', 'password-reset', 'txt_enter_new_pass', 'Enter your new password below'),
('en', 'user', 'password-reset', 'txt_or_login', 'Or'),
('en', 'user', 'password-reset', 'txt_invalid_token', 'Invalid Token'),
('en', 'user', 'password-reset', 'txt_update_success', 'Password updated successfully'),
('en', 'user', 'process-claim', 'txt_html_title', 'Claim Listing'),
('en', 'user', 'process-claim', 'txt_main_title', 'Claim Listing'),
('en', 'user', 'process-claim', 'txt_meta_desc', 'Claim Listing'),
('en', 'user', 'process-claim', 'txt_claim_error', 'Claim error'),
('en', 'user', 'process-claim', 'txt_claim_success', 'This listing is now under your management'),
('en', 'user', 'process-create-listing', 'txt_html_title', 'Create Listing'),
('en', 'user', 'process-create-listing', 'txt_main_title', 'Create Listing'),
('en', 'user', 'process-create-listing', 'txt_error', 'Error!'),
('en', 'user', 'process-create-listing', 'txt_thank_you', 'Thank You!'),
('en', 'user', 'process-create-listing', 'txt_thanks_msg', 'Your listing will be approved soon.'),
('en', 'user', 'process-create-listing', 'txt_thanks_admin', 'Listing submitted.'),
('en', 'user', 'process-create-listing', 'txt_problem', 'There was a problem with your listing'),
('en', 'user', 'process-edit-listing', 'txt_html_title', 'Edit Listing'),
('en', 'user', 'process-edit-listing', 'txt_main_title', 'Edit Listing - \'%listing_title%\''),
('en', 'user', 'process-edit-listing', 'txt_error_no_permission', 'You don\'t have permission to access this page'),
('en', 'user', 'process-edit-listing', 'txt_success', '%listing_title% information has been saved.'),
('en', 'user', 'process-edit-pass', 'txt_html_title', 'Change Password'),
('en', 'user', 'process-edit-pass', 'txt_main_title', 'Change Password'),
('en', 'user', 'process-edit-pass', 'txt_success', 'Password changed successfully.'),
('en', 'user', 'process-edit-pass', 'txt_problem', 'Problem writing new password into database.'),
('en', 'user', 'process-edit-pass', 'txt_wrong', 'Current password is wrong.'),
('en', 'user', 'process-edit-pass', 'txt_social', 'Error: You are logged in with a social media account and you cannot set a new password.'),
('en', 'user', 'process-select-plan', 'txt_html_title', 'Your Order'),
('en', 'user', 'process-select-plan', 'txt_main_title', 'Your Order'),
('en', 'user', 'process-select-plan', 'txt_pay_paypal', 'Pay with Paypal'),
('en', 'user', 'process-select-plan', 'txt_order_details', 'Order Details'),
('en', 'user', 'process-select-plan', 'txt_selected_plan', 'Selected plan'),
('en', 'user', 'process-select-plan', 'txt_paypal', 'Pay with Paypal'),
('en', 'user', 'process-select-plan', 'txt_plan_value', 'Price'),
('en', 'user', 'process-select-plan', 'txt_stripe', 'Pay with credit card'),
('en', 'user', 'process-select-plan', 'txt_thank_you', 'Thank you'),
('en', 'user', 'process-select-plan', 'txt_credits_added', 'The credits have been added to your account.'),
('en', 'user', 'register', 'txt_html_title', 'Create an Account'),
('en', 'user', 'register', 'txt_main_title', 'Sign up'),
('en', 'user', 'register', 'txt_acct_created', 'Account created!'),
('en', 'user', 'register', 'txt_acct_created_explain', 'Please check your email and click on the confirmation link.'),
('en', 'user', 'register', 'txt_email_exists_explain', 'Sorry, this email is already registered.'),
('en', 'user', 'register', 'txt_fname', 'First Name'),
('en', 'user', 'register', 'txt_has_account', 'Already have an account?'),
('en', 'user', 'register', 'txt_invalid_email_explain', 'Mailbox given [] does not comply with RFC 2822'),
('en', 'user', 'register', 'txt_lname', 'Last Name'),
('en', 'user', 'register', 'txt_missing_fields_explain', 'You left some of the fields blank. All fields are required.'),
('en', 'user', 'register', 'txt_submit_again', 'Please submit the form again.'),
('en', 'user', 'register-confirm', 'txt_html_title', 'Signup Confirmation'),
('en', 'user', 'register-confirm', 'txt_main_title', 'Signup Confirmation'),
('en', 'user', 'register-confirm', 'txt_confirmation_success', 'Confirmation succeeded.'),
('en', 'user', 'register-confirm', 'txt_sign_in', 'You can now sign in.'),
('en', 'user', 'register-confirm', 'txt_confirmation_fail', 'Confirmation failed.'),
('en', 'user', 'resend-confirmation', 'txt_html_title', 'Resend Confirmation Email'),
('en', 'user', 'resend-confirmation', 'txt_main_title', 'Resend Confirmation Email'),
('en', 'user', 'resend-confirmation', 'txt_wrong_pass', 'Wrong password or email'),
('en', 'user', 'resend-confirmation', 'txt_confirmation_sent', 'Confirmation sent. Please check your email.'),
('en', 'user', 'resend-confirmation', 'txt_mailer_problem', 'Email failed'),
('en', 'user', 'resend-confirmation', 'txt_invalid_email', 'Invalid email'),
('en', 'user', 'select-plan', 'txt_html_title', 'Select a Plan'),
('en', 'user', 'select-plan', 'txt_main_title', 'Select a Plan'),
('en', 'user', 'select-plan', 'txt_month', 'month'),
('en', 'user', 'select-plan', 'txt_buy_now', 'Select'),
('en', 'user', 'select-plan', 'txt_no_plans', 'There are no plans defined.'),
('en', 'user', 'sign-in', 'txt_html_title', 'Sign in'),
('en', 'user', 'sign-in', 'txt_main_title', 'Sign in'),
('en', 'user', 'sign-in', 'txt_create_account', 'Create an account?'),
('en', 'user', 'sign-in', 'txt_email_used', 'Your facebook or twitter email is linked to an account on this site. Please login below.'),
('en', 'user', 'sign-in', 'txt_email_required', 'Email is required.'),
('en', 'user', 'sign-in', 'txt_forgot_pass', 'Forgot password?'),
('en', 'user', 'sign-in', 'txt_from_select_plan', 'To include a listing, please login or create an account.'),
('en', 'user', 'sign-in', 'txt_new_to_site', 'Need an account?'),
('en', 'user', 'sign-in', 'txt_not_registered', 'This email is not registered.'),
('en', 'user', 'sign-in', 'txt_pending_account', 'Account is pending confirmation.'),
('en', 'user', 'sign-in', 'txt_resend_confirmation', 'Resend confirmation email'),
('en', 'user', 'sign-in', 'txt_wrong_pass', 'Wrong password or email'),
('en', 'user', 'sign-out', 'txt_html_title', 'Logging you off'),
('en', 'user', 'sign-out', 'txt_main_title', 'Logging you off'),
('en', 'user', 'sign-out', 'txt_message', 'Please wait a few seconds.'),
('en', 'user', 'thanks', 'txt_html_title', 'Thank you'),
('en', 'user', 'thanks', 'txt_main_title', 'Thank you for your payment!'),
('en', 'user', 'thanks', 'txt_thanks_msg', 'Payment completed successfully.'),
('en', 'user', 'thanks', 'txt_thanks_msg2', 'Your advertising credits will be available in a moment.'),
('en', 'admin', 'admin-global', 'txt_action', 'Action'),
('en', 'admin', 'admin-global', 'txt_active', 'Active'),
('en', 'admin', 'admin-global', 'txt_create_listing', 'Create Listing'),
('en', 'admin', 'admin-global', 'txt_admin_dashboard', 'Admin Dashboard'),
('en', 'admin', 'admin-global', 'txt_approved', 'Approved'),
('en', 'admin', 'admin-global', 'txt_custom_fields', 'Custom Fields'),
('en', 'admin', 'admin-global', 'txt_emails', 'Emails'),
('en', 'admin', 'admin-global', 'txt_empty', 'Empty Trash'),
('en', 'admin', 'admin-global', 'txt_filter', 'Filter'),
('en', 'admin', 'admin-global', 'txt_inactive', 'Inactive'),
('en', 'admin', 'admin-global', 'txt_language', 'Language'),
('en', 'admin', 'admin-global', 'txt_listings', 'Listings'),
('en', 'admin', 'admin-global', 'txt_locations', 'Locations'),
('en', 'admin', 'admin-global', 'txt_optional', 'Optional'),
('en', 'admin', 'admin-global', 'txt_paid', 'Paid'),
('en', 'admin', 'admin-global', 'txt_plans', 'Plans'),
('en', 'admin', 'admin-global', 'txt_restore', 'Restore'),
('en', 'admin', 'admin-global', 'txt_show', 'Show'),
('en', 'admin', 'admin-global', 'txt_site_settings', 'Site Settings'),
('en', 'admin', 'admin-global', 'txt_slug', 'Slug'),
('en', 'admin', 'admin-global', 'txt_sort', 'Sort'),
('en', 'admin', 'admin-global', 'txt_status', 'Status'),
('en', 'admin', 'admin-global', 'txt_title', 'Title'),
('en', 'admin', 'admin-global', 'txt_tools', 'Tools'),
('en', 'admin', 'admin-global', 'txt_transactions', 'Transactions'),
('en', 'admin', 'admin-global', 'txt_trash', 'Trash'),
('en', 'admin', 'admin-global', 'txt_unpaid', 'Unpaid'),
('en', 'admin', 'admin-global', 'txt_update_success', 'Updated successfully'),
('en', 'admin', 'categories', 'txt_html_title', 'Categories'),
('en', 'admin', 'categories', 'txt_main_title', 'Categories'),
('en', 'admin', 'categories', 'txt_by_name', 'By name'),
('en', 'admin', 'categories', 'txt_by_parent_id', 'By parent id'),
('en', 'admin', 'categories', 'txt_cat_created', 'Category created successfully'),
('en', 'admin', 'categories', 'txt_cat_edited', 'Category edited successfully'),
('en', 'admin', 'categories', 'txt_cat_icon', 'Icon font tag'),
('en', 'admin', 'categories', 'txt_cat_img', 'Category image'),
('en', 'admin', 'categories', 'txt_cat_name', 'Category name'),
('en', 'admin', 'categories', 'txt_cat_name_empty', 'Category name cannot be empty.'),
('en', 'admin', 'categories', 'txt_cat_order', 'Category order (must be a number)'),
('en', 'admin', 'categories', 'txt_cat_removed', 'Category removed'),
('en', 'admin', 'categories', 'txt_cat_slug', 'Category slug'),
('en', 'admin', 'categories', 'txt_create_cat', 'Create Category'),
('en', 'admin', 'categories', 'txt_edit_cat', 'Edit category'),
('en', 'admin', 'categories', 'txt_icon_filename', 'Icon File'),
('en', 'admin', 'categories', 'txt_no_parent', 'None'),
('en', 'admin', 'categories', 'txt_order', 'Order'),
('en', 'admin', 'categories', 'txt_parent_cat', 'Parent category'),
('en', 'admin', 'categories', 'txt_parent_explain', 'Maximum 3 levels deep.'),
('en', 'admin', 'categories', 'txt_parent_id', 'Parent Id'),
('en', 'admin', 'categories', 'txt_plural_name', 'Plural Name'),
('en', 'admin', 'categories', 'txt_remove_cat', 'Remove category'),
('en', 'admin', 'categories', 'txt_remove_warn', 'Are you sure you want to remove this category?'),
('en', 'admin', 'categories-trash', 'txt_html_title', 'Categories - Trash'),
('en', 'admin', 'categories-trash', 'txt_main_title', 'Categories - Trash'),
('en', 'admin', 'categories-trash', 'txt_order', 'Order'),
('en', 'admin', 'categories-trash', 'txt_parent_id', 'Parent Id'),
('en', 'admin', 'categories-trash', 'txt_remove_sure', 'Are you sure you want to remove this category permanently? This action cannot be undone.'),
('en', 'admin', 'categories-trash', 'txt_remove_all_sure', 'Are you sure you want to remove permanently all categories in the trash can? This action cannot be undone.'),
('en', 'admin', 'coupons', 'txt_html_title', 'Coupons'),
('en', 'admin', 'coupons', 'txt_main_title', 'Coupons'),
('en', 'admin', 'coupons', 'txt_title', 'Title'),
('en', 'admin', 'coupons', 'txt_created', 'Created'),
('en', 'admin', 'coupons', 'txt_expire', 'Expire'),
('en', 'admin', 'coupons', 'txt_listing', 'Listing'),
('en', 'admin', 'coupons', 'txt_edit_coupon', 'Edit Coupon'),
('en', 'admin', 'coupons', 'txt_remove_coupon', 'Remove Coupon'),
('en', 'admin', 'coupons-trash', 'txt_html_title', 'Coupons Trash'),
('en', 'admin', 'coupons-trash', 'txt_main_title', 'Coupons Trash'),
('en', 'admin', 'coupons-trash', 'txt_created', 'Created'),
('en', 'admin', 'coupons-trash', 'txt_expire', 'Expire'),
('en', 'admin', 'coupons-trash', 'txt_listing', 'Listing'),
('en', 'admin', 'coupons-trash', 'txt_remove_all_sure', 'Are you sure you want to remove all plans in the trash bin? This action cannot be undone.'),
('en', 'admin', 'coupons-trash', 'txt_remove_sure', 'Are you sure you want to remove this coupon? This action cannot be undone.'),
('en', 'admin', 'coupons-trash', 'txt_removed_all', 'All coupons removed'),
('en', 'admin', 'coupons-trash', 'txt_title', 'Title'),
('en', 'admin', 'create-page', 'txt_html_title', 'Create Page'),
('en', 'admin', 'create-page', 'txt_main_title', 'Create Page'),
('en', 'admin', 'create-page', 'txt_page_title', 'Page Title'),
('en', 'admin', 'create-page', 'txt_meta_desc', 'Meta description'),
('en', 'admin', 'create-page', 'txt_order', 'Order'),
('en', 'admin', 'create-page', 'txt_page_created', 'Page created successfully'),
('en', 'admin', 'create-page', 'txt_show_in_blog', 'Show in blog?'),
('en', 'admin', 'create-page', 'txt_enable_comments', 'Enable comments?'),
('en', 'admin', 'create-page', 'txt_thumb', 'Page thumbnail'),
('en', 'admin', 'create-custom-field', 'txt_html_title', 'Create Custom Field'),
('en', 'admin', 'create-custom-field', 'txt_main_title', 'Create Custom Field'),
('en', 'admin', 'create-custom-field', 'txt_icon', 'Icon tag (e.g. icon font tag)'),
('en', 'admin', 'custom-fields', 'txt_all_categories', 'All categories'),
('en', 'admin', 'custom-fields', 'txt_all_groups', 'All groups'),
('en', 'admin', 'custom-fields', 'txt_categories', 'Categories'),
('en', 'admin', 'custom-fields', 'txt_create_field', 'Create field'),
('en', 'admin', 'custom-fields', 'txt_create_group', 'Create group'),
('en', 'admin', 'custom-fields', 'txt_default_group', 'Default group'),
('en', 'admin', 'custom-fields', 'txt_edit_field', 'Edit this custom field'),
('en', 'admin', 'custom-fields', 'txt_edit_group', 'Edit this group'),
('en', 'admin', 'custom-fields', 'txt_field_created', 'Field created'),
('en', 'admin', 'custom-fields', 'txt_field_group', 'Field group'),
('en', 'admin', 'custom-fields', 'txt_field_name', 'Field name'),
('en', 'admin', 'custom-fields', 'txt_field_order', 'Field order'),
('en', 'admin', 'custom-fields', 'txt_field_type', 'Field Type'),
('en', 'admin', 'custom-fields', 'txt_fields', 'Fields'),
('en', 'admin', 'custom-fields', 'txt_filter_display', 'Filter Display As'),
('en', 'admin', 'custom-fields', 'txt_group', 'Group'),
('en', 'admin', 'custom-fields', 'txt_groups', 'Groups'),
('en', 'admin', 'custom-fields', 'txt_group_created', 'Group created'),
('en', 'admin', 'custom-fields', 'txt_group_edited', 'Group edited'),
('en', 'admin', 'custom-fields', 'txt_group_name', 'Group name'),
('en', 'admin', 'custom-fields', 'txt_group_order', 'Group order'),
('en', 'admin', 'custom-fields', 'txt_html_title', 'Custom Fields'),
('en', 'admin', 'custom-fields', 'txt_icon', 'Icon tag (e.g. icon font tag)'),
('en', 'admin', 'custom-fields', 'txt_main_title', 'Custom Fields'),
('en', 'admin', 'custom-fields', 'txt_meta_desc', 'Custom Fields'),
('en', 'admin', 'custom-fields', 'txt_options', 'Options'),
('en', 'admin', 'custom-fields', 'txt_range_number', 'Range Number'),
('en', 'admin', 'custom-fields', 'txt_range_select', 'Range Select'),
('en', 'admin', 'custom-fields', 'txt_range_text', 'Range Text'),
('en', 'admin', 'custom-fields', 'txt_remove_field', 'Remove this custom field'),
('en', 'admin', 'custom-fields', 'txt_remove_group', 'Remove group'),
('en', 'admin', 'custom-fields', 'txt_required', 'Required?'),
('en', 'admin', 'custom-fields', 'txt_search_results', 'Search Results'),
('en', 'admin', 'custom-fields', 'txt_searchable', 'Searchable?'),
('en', 'admin', 'custom-fields', 'txt_select_all', 'Select All'),
('en', 'admin', 'custom-fields', 'txt_show_icon', 'Show field icon'),
('en', 'admin', 'custom-fields', 'txt_show_in_results', 'Show in results'),
('en', 'admin', 'custom-fields', 'txt_show_name', 'Show field name'),
('en', 'admin', 'custom-fields', 'txt_show_name_icon', 'Show field name and icon'),
('en', 'admin', 'custom-fields', 'txt_value_unit', 'Unit of measurement'),
('en', 'admin', 'custom-fields', 'txt_tooltip', 'Tooltip'),
('en', 'admin', 'custom-fields', 'txt_checkbox', 'Checkbox'),
('en', 'admin', 'custom-fields', 'txt_decimal', 'Decimal'),
('en', 'admin', 'custom-fields', 'txt_multiline', 'Text Multiline'),
('en', 'admin', 'custom-fields', 'txt_number', 'Number'),
('en', 'admin', 'custom-fields', 'txt_radio', 'Radio'),
('en', 'admin', 'custom-fields', 'txt_select', 'Select'),
('en', 'admin', 'custom-fields', 'txt_text', 'Text'),
('en', 'admin', 'custom-fields', 'txt_url', 'URL'),
('en', 'admin', 'custom-fields', 'txt_values_list', 'List of values allowed <em>(separated by ;)</em> *only used for radio, select and checkboxes'),
('en', 'admin', 'custom-fields-trash', 'txt_remove_field_sure', 'Are you sure you want to remove this field? This action cannot be undone.'),
('en', 'admin', 'custom-fields-trash', 'txt_remove_fields_sure', 'Are you sure you want to remove these fields? This action cannot be undone.'),
('en', 'admin', 'custom-fields-trash', 'txt_remove_group_sure', 'Are you sure you want to remove this group? This action cannot be undone.'),
('en', 'admin', 'custom-fields-trash', 'txt_remove_groups_sure', 'Are you sure you want to remove these groups? This action cannot be undone.'),
('en', 'admin', 'edit-custom-field', 'txt_html_title', 'Edit Custom Field'),
('en', 'admin', 'edit-custom-field', 'txt_main_title', 'Edit Custom Field'),
('en', 'admin', 'edit-custom-field', 'txt_field_updated', 'Field updated'),
('en', 'admin', 'edit-page', 'txt_html_title', 'Edit Page'),
('en', 'admin', 'edit-page', 'txt_main_title', 'Edit Page'),
('en', 'admin', 'edit-page', 'txt_page_title', 'Page Title'),
('en', 'admin', 'edit-page', 'txt_show_in_blog', 'Show in blog?'),
('en', 'admin', 'edit-page', 'txt_meta_desc', 'Meta description'),
('en', 'admin', 'edit-page', 'txt_enable_comments', 'Enable comments?'),
('en', 'admin', 'edit-page', 'txt_thumb', 'Page thumbnail'),
('en', 'admin', 'emails', 'txt_html_title', 'Email Templates'),
('en', 'admin', 'emails', 'txt_main_title', 'Email Templates'),
('en', 'admin', 'emails', 'txt_type', 'Type'),
('en', 'admin', 'emails', 'txt_description', 'Description'),
('en', 'admin', 'emails', 'txt_edit_template', 'Edit email template'),
('en', 'admin', 'emails', 'txt_available_vars_header', 'Available variables'),
('en', 'admin', 'emails', 'txt_email_subject', 'Email Subject'),
('en', 'admin', 'emails', 'txt_email_body', 'Email Body'),
('en', 'admin', 'emails', 'txt_instruct_reset', 'You must include the \'%reset_link%\' token in the email body. It will get replaced by a real link the user will have to click to reset his password'),
('en', 'admin', 'emails', 'txt_instruct_signup', 'You must include the \'%confirm_link%\' token in the email body. It will get replaced by a real link the user will have to click to confirm account creation.'),
('en', 'admin', 'emails', 'txt_email_template_updated', 'Template updated sucessfully'),
('en', 'admin', 'home', 'txt_html_title', 'Admin dashboard'),
('en', 'admin', 'home', 'txt_main_title', 'Admin dashboard'),
('en', 'admin', 'home', 'txt_your_info', 'Your information'),
('en', 'admin', 'home', 'txt_your_id', 'Your id'),
('en', 'admin', 'home', 'txt_your_email', 'Your email'),
('en', 'admin', 'home', 'txt_your_prof', 'Your public profile'),
('en', 'admin', 'home', 'txt_site_stats', 'Site statistics'),
('en', 'admin', 'home', 'txt_pending_mod', 'Listings pending moderation'),
('en', 'admin', 'home', 'txt_total_list', 'Total listings'),
('en', 'admin', 'home', 'txt_total_users', 'Total users'),
('en', 'admin', 'home', 'txt_total_reviews', 'Total reviews'),
('en', 'admin', 'home', 'txt_version', 'Script version'),
('en', 'admin', 'home', 'txt_support', 'Support'),
('en', 'admin', 'home', 'txt_support_req', 'Send request'),
('en', 'admin', 'home', 'txt_latest_listings', 'Latest Listings'),
('en', 'admin', 'home', 'txt_latest_signups', 'Latest Signups'),
('en', 'admin', 'listings', 'txt_html_title', 'Listings'),
('en', 'admin', 'listings', 'txt_main_title', 'Listings'),
('en', 'admin', 'listings', 'txt_by_date', 'By date'),
('en', 'admin', 'listings', 'txt_by_name', 'By name'),
('en', 'admin', 'listings', 'txt_edit_listing', 'Edit Listing'),
('en', 'admin', 'listings', 'txt_featured_home', 'Featured Home'),
('en', 'admin', 'listings', 'txt_find', 'Find'),
('en', 'admin', 'listings', 'txt_listing_owner', 'Owner'),
('en', 'admin', 'listings', 'txt_listing_title', 'Listing Title'),
('en', 'admin', 'listings', 'txt_plan_name', 'Plan Name'),
('en', 'admin', 'listings', 'txt_plan_type', 'Plan Type'),
('en', 'admin', 'listings', 'txt_remove_listing', 'Remove Listing'),
('en', 'admin', 'listings', 'txt_search_results', 'Search results for:'),
('en', 'admin', 'listings', 'txt_toggle_approved', 'Toggle Approved/Pending'),
('en', 'admin', 'listings', 'txt_toggle_featured', 'Toggle Featured Home'),
('en', 'admin', 'listings', 'txt_toggle_paid', 'Toggle Paid/Unpaid Status'),
('en', 'admin', 'listings', 'txt_tooltip_expand', 'Expand details'),
('en', 'admin', 'listings', 'txt_transfer_owner', 'Transfer to user id: '),
('en', 'admin', 'listings-trash', 'txt_by_date', 'By date'),
('en', 'admin', 'listings-trash', 'txt_by_name', 'By name'),
('en', 'admin', 'listings-trash', 'txt_html_title', 'Listings - Trash'),
('en', 'admin', 'listings-trash', 'txt_listing_owner', 'Owner'),
('en', 'admin', 'listings-trash', 'txt_main_title', 'Listings - Trash'),
('en', 'admin', 'listings-trash', 'txt_listing_title', 'Listing title'),
('en', 'admin', 'listings-trash', 'txt_listing_removed', 'Listing removed'),
('en', 'admin', 'listings-trash', 'txt_plan_name', 'Plan name'),
('en', 'admin', 'listings-trash', 'txt_plan_type', 'Plan type'),
('en', 'admin', 'listings-trash', 'txt_remove_perm', 'Remove permanently'),
('en', 'admin', 'listings-trash', 'txt_remove_perm_sure', 'Are you sure you want to remove this listing permanently? This action cannot be undone.'),
('en', 'admin', 'listings-trash', 'txt_remove_perm_sure_all', 'Are you sure you want to remove permanently all listings in the trash can? This action cannot be undone.'),
('en', 'admin', 'listings-trash', 'txt_tooltip_expand', 'Expand details'),
('en', 'admin', 'listings-trash', 'txt_tooltip_remove', 'Remove permanently'),
('en', 'admin', 'listings-trash', 'txt_tooltip_restore', 'Restore listing'),
('en', 'admin', 'locations', 'txt_html_title', 'Locations'),
('en', 'admin', 'locations', 'txt_main_title', 'Locations'),
('en', 'admin', 'locations', 'txt_city_id', 'City id'),
('en', 'admin', 'locations', 'txt_city_name', 'City name'),
('en', 'admin', 'locations', 'txt_country_code', 'Country code'),
('en', 'admin', 'locations', 'txt_country_id', 'Country id'),
('en', 'admin', 'locations', 'txt_country_name', 'Country name'),
('en', 'admin', 'locations', 'txt_create_city', 'Create city'),
('en', 'admin', 'locations', 'txt_create_country', 'Create country'),
('en', 'admin', 'locations', 'txt_create_state', 'Create state'),
('en', 'admin', 'locations', 'txt_edit_city', 'Edit city'),
('en', 'admin', 'locations', 'txt_edit_country', 'Edit country'),
('en', 'admin', 'locations', 'txt_edit_location', 'Edit location'),
('en', 'admin', 'locations', 'txt_edit_state', 'Edit state'),
('en', 'admin', 'locations', 'txt_quick_jump', 'Quick jump'),
('en', 'admin', 'locations', 'txt_remove_city', 'Remove city'),
('en', 'admin', 'locations', 'txt_remove_country', 'Remove country'),
('en', 'admin', 'locations', 'txt_remove_state', 'Remove state'),
('en', 'admin', 'locations', 'txt_state_id', 'State id'),
('en', 'admin', 'locations', 'txt_state_name', 'State name'),
('en', 'admin', 'locations', 'txt_toggle_featured', 'Toggle home featured'),
('en', 'admin', 'locations', 'txt_country_abbr', 'Country abbreviation (max 3 chars)'),
('en', 'admin', 'locations', 'txt_lat', 'Latitude'),
('en', 'admin', 'locations', 'txt_lng', 'Longitude'),
('en', 'admin', 'locations', 'txt_msg_no_country', 'No country has been created yet'),
('en', 'admin', 'locations', 'txt_msg_no_state', 'No state has been created yet'),
('en', 'admin', 'locations', 'txt_select_country', 'Select country'),
('en', 'admin', 'locations', 'txt_select_state', 'Select state'),
('en', 'admin', 'locations', 'txt_state_abbr', 'State abbreviation'),
('en', 'admin', 'locations', 'txt_city_created', 'City created successfully'),
('en', 'admin', 'locations', 'txt_city_name_empty', 'City name cannot be empty. Please enter the city name.'),
('en', 'admin', 'locations', 'txt_country_created', 'Country created successfully'),
('en', 'admin', 'locations', 'txt_country_name_empty', 'Country name and abbreviation cannot be empty. Please enter the name and abbreviation.'),
('en', 'admin', 'locations', 'txt_pls_create_country', 'Please create a country first.'),
('en', 'admin', 'locations', 'txt_pls_create_state', 'Please create a state first.');
INSERT INTO `language` (`lang`, `section`, `template`, `var_name`, `translated`) VALUES
('en', 'admin', 'locations', 'txt_state_created', 'State created successfully'),
('en', 'admin', 'locations', 'txt_state_name_empty', 'State name and abbreviation cannot be empty. Please enter the name and abbreviation.'),
('en', 'admin', 'locations', 'txt_city_edited', 'City edited successfully'),
('en', 'admin', 'locations', 'txt_state_edited', 'State edited successfully'),
('en', 'admin', 'locations', 'txt_country_edited', 'Country edited successfully'),
('en', 'admin', 'locations', 'txt_loc_removed', 'Location deleted'),
('en', 'admin', 'locations-trash', 'txt_remove_sure', 'Are you sure you want to remove this location permanently? This action cannot be undone.'),
('en', 'admin', 'locations-trash', 'txt_remove_all_sure', 'Are you sure you want to permanently remove all locations in the trash can? This action cannot be undone.'),
('en', 'admin', 'pages', 'txt_html_title', 'Pages'),
('en', 'admin', 'pages', 'txt_main_title', 'Pages'),
('en', 'admin', 'pages', 'txt_create_page', 'Create page'),
('en', 'admin', 'pages', 'txt_link', 'Link'),
('en', 'admin', 'pages', 'txt_edit_page', 'Edit page'),
('en', 'admin', 'pages', 'txt_remove_page', 'Remove page'),
('en', 'admin', 'pages', 'txt_page_created', 'Page created sucessfully'),
('en', 'admin', 'pages', 'txt_page_updated', 'Page updated sucessfully'),
('en', 'admin', 'pages', 'txt_page_removed', 'Page deleted'),
('en', 'admin', 'pages-trash', 'txt_html_title', 'Pages - Trash'),
('en', 'admin', 'pages-trash', 'txt_main_title', 'Pages - Trash'),
('en', 'admin', 'pages-trash', 'txt_page_title', 'Page Title'),
('en', 'admin', 'pages-trash', 'txt_link', 'Link'),
('en', 'admin', 'pages-trash', 'txt_group', 'Group'),
('en', 'admin', 'pages-trash', 'txt_order', 'Order'),
('en', 'admin', 'pages-trash', 'txt_remove_sure', 'Are you sure you want to remove this page? This action cannot be undone.'),
('en', 'admin', 'pages-trash', 'txt_remove_all_sure', 'Are you sure you want to remove permanently all pages in the trash bin? This action cannot be undone.'),
('en', 'admin', 'pages-trash', 'txt_removed_all', 'All pages removed'),
('en', 'admin', 'plans', 'txt_html_title', 'Billing Plans'),
('en', 'admin', 'plans', 'txt_main_title', 'Billing Plans'),
('en', 'admin', 'plans', 'txt_annual', 'Annual'),
('en', 'admin', 'plans', 'txt_annual_f', 'Annual featured'),
('en', 'admin', 'plans', 'txt_create', 'Create Plan'),
('en', 'admin', 'plans', 'txt_credits', 'Credits'),
('en', 'admin', 'plans', 'txt_edit_plan', 'Edit Plan'),
('en', 'admin', 'plans', 'txt_features', 'Features (one per line)'),
('en', 'admin', 'plans', 'txt_free', 'Free'),
('en', 'admin', 'plans', 'txt_free_featured', 'Free featured'),
('en', 'admin', 'plans', 'txt_monthly', 'Monthly'),
('en', 'admin', 'plans', 'txt_monthly_f', 'Monthly featured'),
('en', 'admin', 'plans', 'txt_no_plans', 'There are no billing plans defined. Please create a billing plan.'),
('en', 'admin', 'plans', 'txt_one_time', 'One time payment'),
('en', 'admin', 'plans', 'txt_one_time_f', 'One time payment featured'),
('en', 'admin', 'plans', 'txt_order', 'Order (at which they will appear to the user in the Select Plan page)'),
('en', 'admin', 'plans', 'txt_period', 'Plan Period (Number of days. Only valid for free and \'one time payments\' plan types). Enter 0 or leave blank for non expiring ads (permanent)'),
('en', 'admin', 'plans', 'txt_plan_name', 'Plan Name'),
('en', 'admin', 'plans', 'txt_plan_price', 'Plan Price'),
('en', 'admin', 'plans', 'txt_plan_status', 'Plan Status'),
('en', 'admin', 'plans', 'txt_plan_type', 'Plan Type'),
('en', 'admin', 'plans', 'txt_price', 'Price'),
('en', 'admin', 'plans', 'txt_remove_plan', 'Remove Plan'),
('en', 'admin', 'plans', 'txt_toggle_active', 'Toggle Active/Inactive'),
('en', 'admin', 'plans', 'txt_plan_created', 'Plan created successfully'),
('en', 'admin', 'plans', 'txt_create_problem', 'Problem creating plan'),
('en', 'admin', 'plans', 'txt_plan_updated', 'Plan updated sucessfully'),
('en', 'admin', 'plans', 'txt_plan_removed', 'Plan removed'),
('en', 'admin', 'plans', 'txt_plan_period', 'Plan Period (Number of days. Only valid for free or \'one time payments\' plan types)'),
('en', 'admin', 'plans', 'txt_plan_order', 'Plan Order'),
('en', 'admin', 'plans', 'txt_change_price', 'It\'s not possible to change the price for the \'free\' plan type'),
('en', 'admin', 'plans-trash', 'txt_html_title', 'Billing Plans - Trash'),
('en', 'admin', 'plans-trash', 'txt_main_title', 'Billing Plans - Trash'),
('en', 'admin', 'plans-trash', 'txt_plan_name', 'Plan Name'),
('en', 'admin', 'plans-trash', 'txt_plan_type', 'Plan Type'),
('en', 'admin', 'plans-trash', 'txt_price', 'Price'),
('en', 'admin', 'plans-trash', 'txt_remove_sure', 'Are you sure you want to remove this plan? This action cannot be undone.'),
('en', 'admin', 'plans-trash', 'txt_remove_all_sure', 'Are you sure you want to remove permanently all plans in the trash bin? This action cannot be undone.'),
('en', 'admin', 'plans-trash', 'txt_removed_all', 'All plans removed'),
('en', 'admin', 'process-settings', 'txt_html_title', 'Settings Updated'),
('en', 'admin', 'process-settings', 'txt_main_title', 'Settings'),
('en', 'admin', 'process-settings', 'txt_update_success', 'Settings saved'),
('en', 'admin', 'reviews', 'txt_html_title', 'Reviews'),
('en', 'admin', 'reviews', 'txt_main_title', 'Reviews'),
('en', 'admin', 'reviews', 'txt_listing_title', 'Listing Title'),
('en', 'admin', 'reviews', 'txt_tooltip_toggle_approved', 'Toggle Approved/Pending'),
('en', 'admin', 'reviews', 'txt_tooltip_expand_review', 'Expand Review'),
('en', 'admin', 'reviews', 'txt_tooltip_remove_review', 'Remove Review'),
('en', 'admin', 'reviews', 'txt_no_reviews_pending', 'There are no reviews pending moderation'),
('en', 'admin', 'reviews-trash', 'txt_html_title', 'Reviews - Trash'),
('en', 'admin', 'reviews-trash', 'txt_main_title', 'Reviews - Trash'),
('en', 'admin', 'reviews-trash', 'txt_empty_trash', 'Empty Reviews Trash'),
('en', 'admin', 'reviews-trash', 'txt_listing_title', 'Listing Title'),
('en', 'admin', 'reviews-trash', 'txt_remove_perm', 'Remove permanently'),
('en', 'admin', 'reviews-trash', 'txt_remove_perm_sure', 'Are you sure you want to remove this review permanently? This action cannot be undone.'),
('en', 'admin', 'reviews-trash', 'txt_remove_perm_sure_all', 'Are you sure you want to remove permanently all reviews in the trash can? This action cannot be undone.'),
('en', 'admin', 'reviews-trash', 'txt_remove_review', 'Remove review'),
('en', 'admin', 'reviews-trash', 'txt_tooltip_expand_review', 'Expand review'),
('en', 'admin', 'reviews-trash', 'txt_tooltip_remove_review', 'Remove review permanently'),
('en', 'admin', 'reviews-trash', 'txt_tooltip_restore', 'Restore review'),
('en', 'admin', 'settings', 'txt_html_title', 'Settings'),
('en', 'admin', 'settings', 'txt_main_title', 'Settings'),
('en', 'admin', 'settings', 'txt_admin_email', 'From email'),
('en', 'admin', 'settings', 'txt_contact_seller_subject', 'Contact Seller Subject'),
('en', 'admin', 'settings', 'txt_contact_user_subject', 'Contact User Subject'),
('en', 'admin', 'settings', 'txt_country_code', 'Country code'),
('en', 'admin', 'settings', 'txt_country_code_explain', 'ISO 3166-1 alpha-2: two-letter country code, will also be used to build canonical urls so don\'t change this often'),
('en', 'admin', 'settings', 'txt_country_name', 'Country name'),
('en', 'admin', 'settings', 'txt_currency_code', 'Currency code'),
('en', 'admin', 'settings', 'txt_currency_code_explain', '3-character <a href=\'https://en.wikipedia.org/wiki/ISO_4217#Active_codes\' target=\'_blank\'>ISO-4217</a> currency code. This will be used when sending data to Paypal.'),
('en', 'admin', 'settings', 'txt_currency_symbol', 'Currency symbol'),
('en', 'admin', 'settings', 'txt_default_cat', 'Default category'),
('en', 'admin', 'settings', 'txt_default_city_id', 'Default city id'),
('en', 'admin', 'settings', 'txt_default_city_id_explain', 'The database row id of the default city '),
('en', 'admin', 'settings', 'txt_default_city_slug', 'Default city slug'),
('en', 'admin', 'settings', 'txt_default_city_slug_explain', 'Slugs are used in urls, lower case name of the default city without special characters or spaces(use dash instead)'),
('en', 'admin', 'settings', 'txt_default_coupon_qty', 'Coupons per ad'),
('en', 'admin', 'settings', 'txt_default_lat', 'Default latitude'),
('en', 'admin', 'settings', 'txt_default_lng', 'Default longitude'),
('en', 'admin', 'settings', 'txt_dev_email', 'Dev email'),
('en', 'admin', 'settings', 'txt_disqus_shortname', 'Disqus Shortname'),
('en', 'admin', 'settings', 'txt_facebook_key', 'Facebook API key'),
('en', 'admin', 'settings', 'txt_facebook_key_explain', 'Used for social login.'),
('en', 'admin', 'settings', 'txt_facebook_secret', 'Facebook API Secret'),
('en', 'admin', 'settings', 'txt_from_email', 'From email'),
('en', 'admin', 'settings', 'txt_gateway_currency', 'Currency '),
('en', 'admin', 'settings', 'txt_gateway_mode', 'Gateway Mode'),
('en', 'admin', 'settings', 'txt_gmaps_key', 'Google maps key'),
('en', 'admin', 'settings', 'txt_gmaps_key_explain', 'This API key is required to display maps using Google Maps'),
('en', 'admin', 'settings', 'txt_here_key', 'HERE App ID'),
('en', 'admin', 'settings', 'txt_here_secret', 'HERE App Code'),
('en', 'admin', 'settings', 'txt_html_lang', 'HTML lang'),
('en', 'admin', 'settings', 'txt_html_lang_explain', 'the value for the html lang attribute'),
('en', 'admin', 'settings', 'txt_items_per_page', 'Items per page'),
('en', 'admin', 'settings', 'txt_items_per_page_explain', 'How many items to show on each results page'),
('en', 'admin', 'settings', 'txt_live', 'Live'),
('en', 'admin', 'settings', 'txt_live_publishable_key', 'Live Publishable Key'),
('en', 'admin', 'settings', 'txt_live_secret_key', 'Live Secret Key'),
('en', 'admin', 'settings', 'txt_mail_after_post', 'Receive notification on post/edit listing?'),
('en', 'admin', 'settings', 'txt_maintenance_mode', 'Maintenance Mode'),
('en', 'admin', 'settings', 'txt_map_provider', 'Map Provider'),
('en', 'admin', 'settings', 'txt_mapbox_secret', 'MapBox Access Token'),
('en', 'admin', 'settings', 'txt_max_pics', 'Max pics'),
('en', 'admin', 'settings', 'txt_max_pics_explain', 'How many pictures allowed for each listing'),
('en', 'admin', 'settings', 'txt_paypal_checkout_logo_url', 'Paypal Checkout Logo Url'),
('en', 'admin', 'settings', 'txt_paypal_checkout_logo_url_explain', 'The URL of the logo that will be used on the Paypal checkout page.'),
('en', 'admin', 'settings', 'txt_paypal_header', 'Paypal Settings'),
('en', 'admin', 'settings', 'txt_paypal_locale', 'Paypal login page locale'),
('en', 'admin', 'settings', 'txt_paypal_merchant_id', 'Paypal merchant id'),
('en', 'admin', 'settings', 'txt_paypal_mode', 'Paypal mode (live or sandbox)'),
('en', 'admin', 'settings', 'txt_paypal_sandbox_merch_id', 'Paypal Sandbox merchant id'),
('en', 'admin', 'settings', 'txt_sandbox', 'Sandbox'),
('en', 'admin', 'settings', 'txt_site_name', 'Site name'),
('en', 'admin', 'settings', 'txt_smtp_pass', 'SMPT pass'),
('en', 'admin', 'settings', 'txt_smtp_port', 'SMPT port'),
('en', 'admin', 'settings', 'txt_smtp_server', 'SMPT server'),
('en', 'admin', 'settings', 'txt_smtp_user', 'SMPT user'),
('en', 'admin', 'settings', 'txt_stripe_currency_code', '3-Letter ISO Code'),
('en', 'admin', 'settings', 'txt_stripe_header', 'Stripe Settings'),
('en', 'admin', 'settings', 'txt_stripe_test_mode', 'Test'),
('en', 'admin', 'settings', 'txt_tab_apis', 'APIs'),
('en', 'admin', 'settings', 'txt_tab_email', 'Email'),
('en', 'admin', 'settings', 'txt_tab_general', 'General'),
('en', 'admin', 'settings', 'txt_tab_payment', 'Payment'),
('en', 'admin', 'settings', 'txt_test_publishable_key', 'Test Publishable Key'),
('en', 'admin', 'settings', 'txt_test_secret_key', 'Test Secret Key'),
('en', 'admin', 'settings', 'txt_timezone', 'Timezone'),
('en', 'admin', 'settings', 'txt_timezone_explain', 'Enter your timezone. <a href=\'http://php.net/manual/en/timezones.php\' target=\'_blank\'>Click here</a> for a list of possible values.'),
('en', 'admin', 'settings', 'txt_tomtom_secret', 'TomTom Key'),
('en', 'admin', 'settings', 'txt_twitter_key', 'Twitter API key'),
('en', 'admin', 'settings', 'txt_twitter_key_explain', 'Used for social login.'),
('en', 'admin', 'settings', 'txt_twitter_secret', 'Twitter API secret'),
('en', 'admin', 'transactions', 'txt_html_title', 'Transactions History'),
('en', 'admin', 'transactions', 'txt_main_title', 'Transactions History'),
('en', 'admin', 'transactions', 'txt_txn_id', 'Txn Id'),
('en', 'admin', 'transactions', 'txt_listing_id', 'Listing Id'),
('en', 'admin', 'transactions', 'txt_txn_type', 'Txn Type'),
('en', 'admin', 'transactions', 'txt_amount', 'Amount'),
('en', 'admin', 'transactions', 'txt_sub_id', 'Subscr Id'),
('en', 'admin', 'transactions', 'txt_txn_date', 'Txn Date'),
('en', 'admin', 'users', 'txt_html_title', 'Users'),
('en', 'admin', 'users', 'txt_main_title', 'Users'),
('en', 'admin', 'users', 'txt_by_date', 'By date'),
('en', 'admin', 'users', 'txt_by_email', 'By email'),
('en', 'admin', 'users', 'txt_by_name', 'By name'),
('en', 'admin', 'users', 'txt_created', 'Created'),
('en', 'admin', 'users', 'txt_no_users', 'There are no users'),
('en', 'admin', 'users', 'txt_approve_profile_pic', 'Approve Profile Pic'),
('en', 'admin', 'users', 'txt_remove_user', 'Remove User'),
('en', 'admin', 'users', 'txt_user_plans', 'User\'s Plans'),
('en', 'admin', 'users', 'txt_add_credits', 'Add credits to this account'),
('en', 'admin', 'users', 'txt_select_plan', 'Select Plan'),
('en', 'admin', 'users', 'txt_credits_amount', 'Credits Amount'),
('en', 'admin', 'users', 'txt_no_credits', 'User has no credits'),
('en', 'admin', 'users', 'txt_credits_added', 'Credits Added'),
('en', 'admin', 'users', 'txt_credits_remaining', 'Credits Remaining'),
('en', 'admin', 'users', 'txt_plan_name', 'Plan Name'),
('en', 'admin', 'users', 'txt_plan_type', 'Plan Type'),
('en', 'admin', 'users', 'txt_purchase_date', 'Purchase Date'),
('en', 'admin', 'users', 'txt_gateway', 'Gateway'),
('en', 'admin', 'users', 'txt_subscription_id', 'Subscription id'),
('en', 'admin', 'users', 'txt_cancel_plan', 'Cancel Plan'),
('en', 'admin', 'users', 'txt_cancel_confirm', 'Are you sure you want to cancel this plan?'),
('en', 'admin', 'users', 'txt_cancel_paypal', 'This plan is a Paypal Subscription. To cancel this subscription please access your Paypal dashboard.'),
('en', 'admin', 'users-trash', 'txt_html_title', 'Users - Trash'),
('en', 'admin', 'users-trash', 'txt_main_title', 'Users - Trash'),
('en', 'admin', 'users-trash', 'txt_by_date', 'By date'),
('en', 'admin', 'users-trash', 'txt_by_email', 'By email'),
('en', 'admin', 'users-trash', 'txt_by_name', 'By name'),
('en', 'admin', 'users-trash', 'txt_created', 'Created'),
('en', 'admin', 'users-trash', 'txt_modal_remove_title', 'Remove User'),
('en', 'admin', 'users-trash', 'txt_remove_perm_sure', 'Are you sure you want to remove this user permanently? This action cannot be undone.'),
('en', 'admin', 'users-trash', 'txt_remove_perm_sure_all', 'Are you sure you want to remove permanently all users in the trash can? This action cannot be undone.'),
('en', 'admin', 'users-trash', 'txt_tooltip_remove_user', 'Remove user permanently'),
('en', 'admin', 'users-trash', 'txt_tooltip_restore', 'Restore user'),
('en', 'admin', 'language', 'txt_main_title', 'Language'),
('en', 'admin', 'language', 'txt_html_title', 'Language'),
('en', 'admin', 'language', 'txt_installed_lang', 'Installed languages'),
('en', 'admin', 'language', 'txt_create_lang', 'Create Language'),
('en', 'admin', 'language', 'txt_template', 'Template'),
('en', 'admin', 'language', 'txt_load_vars', 'Load vars'),
('en', 'admin', 'language', 'txt_vars', 'Vars'),
('en', 'admin', 'language', 'txt_select_lang_create', 'Select language to create'),
('en', 'admin', 'language', 'txt_install_sql', 'Or install from available sql files'),
('en', 'admin', 'language', 'txt_install', 'Install'),
('en', 'admin', 'language', 'txt_installing', 'Installing...'),
('en', 'admin', 'language', 'txt_done', 'Done'),
('en', 'admin', 'language', 'txt_install_lang', 'Install language'),
('en', 'admin', 'tools', 'txt_html_title', 'Admin Tools'),
('en', 'admin', 'tools', 'txt_main_title', 'Admin Tools'),
('en', 'admin', 'tools', 'txt_deactivate_expired', 'Deactivate expired listings'),
('en', 'admin', 'tools', 'txt_deactivate_success', 'Expired listings deactivated successfully'),
('en', 'admin', 'tools', 'txt_delete_tmp_pics', 'Delete temp images'),
('en', 'admin', 'tools', 'txt_regenerate_sitemap', 'Regenerate sitemap.xml'),
('en', 'admin', 'tools', 'txt_submit_sitemap', 'Submit sitemap.xml to Google'),
('en', 'admin', 'tools', 'txt_tool', 'Tool'),
('en', 'public', 'global', 'txt_execute', 'Execute'),
('en', 'public', 'maintenance', 'txt_html_title', 'Site Maintenance'),
('en', 'public', 'maintenance', 'txt_message', 'The site will be back soon'),
('en', 'user', 'register', 'txt_agree_tos', 'I have read and agree to the <a href=\"\" class=\"text-primary\"><em>terms of service</em></a>'),
('en', 'admin', 'settings', 'txt_date_format', 'Date Format'),
('en', 'admin', 'settings', 'txt_latest_listings_count', 'Latest listings count'),
('en', 'admin', 'settings', 'txt_languages', 'Languages'),
('en', 'admin', 'settings', 'txt_notify_user_created', 'Notify on user created'),
('en', 'admin', 'settings', 'txt_logo_width', 'Logo width'),
('en', 'admin', 'settings', 'txt_decimal_separator', 'Decimal separator'),
('en', 'admin', 'settings', 'txt_thousands_separator', 'Thousands separator'),
('en', 'admin', 'settings', 'txt_currency_symbol_pos', 'Currency symbol position'),
('en', 'admin', 'settings', 'txt_currency_has_cents', 'Currency has cents'),
('en', 'admin', 'settings', 'txt_use_select_search', 'Use Select Search'),
('en', 'admin', 'settings', 'txt_near_radius', 'Near Listings Radius'),
('en', 'admin', 'settings', 'txt_left', 'Left'),
('en', 'admin', 'settings', 'txt_right', 'Right'),
('en', 'admin', 'settings', 'txt_maps', 'Maps'),
('en', 'admin', 'settings', 'txt_permalink_struct', 'Permalink Structure (*regenerate sitemap after change)'),
('en', 'admin', 'settings', 'txt_permalink_struct_explain', 'Available tags(use / as separator): %category%/%region%/%city%/%title% *Leave this field blank for the old permalink format'),
('en', 'admin', 'language', 'txt_create_string', 'Create String'),
('en', 'admin', 'language', 'txt_var_name', 'Variable Name (starts with txt_ e.g. txt_var_name)'),
('en', 'admin', 'language', 'txt_string_value', 'String Value'),
('en', 'admin', 'language', 'txt_string_created', 'String Created'),
('en', 'public', 'results', 'txt_latest_listings', 'Latest Listings'),
('en', 'user', 'create-listing', 'txt_primary_category', 'Primary Category'),
('en', 'user', 'create-listing', 'txt_additional_categories', 'Additional Categories'),
('en', 'user', 'edit-listing', 'txt_primary_category', 'Primary Category'),
('en', 'user', 'edit-listing', 'txt_additional_categories', 'Additional Categories'),
('en', 'admin', 'users', 'txt_toggle_active', 'Toggle active/inactive'),
('en', 'admin', 'settings', 'txt_show_map', 'Show Map'),
('en', 'public', 'global', 'txt_nearby', 'Nearby'),
('en', 'public', 'global', 'txt_enable_geo', 'Geolocation is not enabled. Please enable to use this feature'),
('en', 'admin', 'settings', 'txt_nearby_filter_values', 'Nearby filter values(separated by semicolon)'),
('en', 'admin', 'settings', 'txt_distance_unit', 'Distance unit'),
('en', 'user', 'my-profile', 'txt_email_already_in_use', 'This email is already in use.'),
('en', 'user', 'my-listings', 'txt_expired', 'Expired'),
('en', 'admin', 'language', 'txt_remove_language', 'Remove selected language'),
('en', 'admin', 'language', 'txt_language_removed', 'Language removed'),
('en', 'admin', 'language', 'txt_remove_language_sure', 'Are you sure you want to remove the selected language?'),
('en', 'admin', 'language', 'txt_auto_approve_listing', 'Automatically approve listings'),
('en', 'admin', 'settings', 'txt_custom_field_toggle_values', 'Custom field toggle values (Ex: yes;no)'),
('en', 'admin', 'settings', 'txt_short_desc_max_length', 'Short description max length'),
('en', 'admin', 'settings', 'txt_site_logos', 'Site logos')
;

--
-- Language v.4.09
--

INSERT INTO `language` (`lang`, `section`, `template`, `var_name`, `translated`) VALUES
('en', 'public', 'global', 'txt_nearby', 'Nearby'),
('en', 'public', 'global', 'txt_enable_geo', 'Geolocation is not enabled. Please enable to use this feature');

--
-- Table structure for table `translation_cf`
--

DROP TABLE IF EXISTS `translation_cf`;
CREATE TABLE `translation_cf` (
  `id` int(11) UNSIGNED NOT NULL,
  `lang` varchar(2) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `field_id` int(11) DEFAULT NULL,
  `field_name` text COLLATE utf8mb4_unicode_ci,
  `tooltip` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `values_list` text COLLATE utf8mb4_unicode_ci
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `translation_cf`
--
ALTER TABLE `translation_cf`
  ADD PRIMARY KEY (`id`),
  ADD KEY `lang` (`lang`),
  ADD KEY `field_id` (`field_id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `translation_cf`
--
ALTER TABLE `translation_cf`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `translation_cf`
--
ALTER TABLE `translation_cf`
  ADD CONSTRAINT `translation_cf_ibfk_1` FOREIGN KEY (`field_id`) REFERENCES `custom_fields` (`field_id`) ON DELETE CASCADE ON UPDATE CASCADE;



SET FOREIGN_KEY_CHECKS=1;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
