<?php
require_once(__DIR__ . '/../inc/config.php');
require_once(__DIR__ . '/_admin_inc.php');

// csrf check
require_once(__DIR__ . '/_admin_inc_request_with_ajax.php');

// loc details
$loc_id   = !empty($_POST['loc_id'  ]) ? $_POST['loc_id'  ] : '';
$loc_type = !empty($_POST['loc_type']) ? $_POST['loc_type'] : '';

if($loc_type == 'city') {
	$table = 'cities';
	$id_col = 'city_id';
}

else if($loc_type == 'state') {
	$table = 'states';
	$id_col = 'state_id';
}

else if($loc_type == 'country') {
	$table = 'countries';
	$id_col = 'country_id';
}

else {
	$table = '';
}

if(!empty($table)) {
	$query = "UPDATE $table SET status = 0 WHERE $id_col = :loc_id";
	$stmt = $conn->prepare($query);
	$stmt->bindValue(':loc_id', $loc_id);
	$stmt->execute();
	echo '1';
}

else {
	echo 'Wrong loc type';
}