<script src="<?= $baseurl ?>/assets/js/jquery-price-format.js"></script>

<script>
'use strict';

/*--------------------------------------------------
Add to Favorites
--------------------------------------------------*/
$(function() {
	addToFavorites();
});

/*--------------------------------------------------
Format price
--------------------------------------------------*/
(function(){
	$('.price').priceFormat({
		<?php
		if($cfg_cur_symbol_pos == 'left') {
			?>
			prefix: '<?= $currency_symbol ?>',
			<?php
		}

		else {
			?>
			prefix: '',
			suffix: ' <?= $currency_symbol ?>',
			<?php
		}
		if(!$cfg_show_cents) {
			?>
			centsLimit: 0,
			<?php
		}
		?>
		centsSeparator: '<?= $cfg_decimal_sep ?>',
		thousandsSeparator: '<?= $cfg_thousands_sep ?>'
	});
}());

/*--------------------------------------------------
Rating
--------------------------------------------------*/
(function(){
	$('.item-rating').raty({
		readOnly: true,
		score: function() {
			return this.getAttribute('data-rating');
		},
		hints: ['<?= a($txt_rate_bad) ?>', '<?= a($txt_rate_poor) ?>', '<?= a($txt_rate_regular) ?>', '<?= a($txt_rate_good) ?>', '<?= a($txt_rate_gorgeous) ?>'],
		starType: 'i'
	});

	$('.review-rating').raty({
		readOnly: true,
		score: function() {
			return this.getAttribute('data-rating');
		},
		hints: ['<?= a($txt_rate_bad) ?>', '<?= a($txt_rate_poor) ?>', '<?= a($txt_rate_regular) ?>', '<?= a($txt_rate_good) ?>', '<?= a($txt_rate_gorgeous) ?>'],
		starType: 'i'
	});

	$('.raty').raty({
		scoreName: 'review_score',
		target : '#hint',
		targetKeep : true,
		hints: ['<?= a($txt_rate_bad) ?>', '<?= a($txt_rate_poor) ?>', '<?= a($txt_rate_regular) ?>', '<?= a($txt_rate_good) ?>', '<?= a($txt_rate_gorgeous) ?>'],
		starType: 'i'
	});
}());
</script>

<?php
include('js-modal-contact-user.php');