<?php
// prevent direct access
if(basename(__FILE__) == basename($_SERVER['SCRIPT_NAME'])) {
	http_response_code(401);
	die('Invalid access');
}

if(isset($cfg_languages) && is_array($cfg_languages)) {
	if(count($cfg_languages) > 1) {
		?>
		<div id="language-selector" class="custom-select-wrapper rounded mb-5" style="width: 180px;">
			<select name="language">
				<?php
				foreach ($cfg_languages as $v) {
					$selected = '';
					if(isset($_COOKIE['user_language']) && $v == $_COOKIE['user_language']) {
						$selected = 'selected';
					}
					echo '<option value="' . $v . '" ' . $selected . '>' . "($v) " . $iso_639_1_native_names[$v] . '</option>';
				}
				?>
			</select>
		</div>
		<?php
	}
}
