<?php
// prevent direct access
if(basename(__FILE__) == basename($_SERVER['SCRIPT_NAME'])) {
	http_response_code(401);
	die('Invalid access');
}
?><script>
// cancel plan modal
(function(){
	$('#cancel-plan-modal').on('show.bs.modal', function (event) {
		var button = $(event.relatedTarget);
		var uniq_id = button.data('uniq_id');
		var gateway = button.data('gateway');
		var modal = $(this);

		// hide spinner
		$('#result-spinner-1').hide();
		$('#result-spinner-2').hide();

		// show confirm message
		$('#confirm-message-1').show();
		$('#confirm-message-2').show();

		modal.find('.modal-title').text(button.data('title'));
		modal.find('.cancel-plan').data('uniq_id', uniq_id);
		modal.find('.cancel-plan').data('gateway', gateway);
	});
}());

// cancel plan submit
(function(){
	$('.cancel-plan').on('click', function(e) {
		e.preventDefault();
		var uniq_id = $(this).data('uniq_id');
		var gateway = $(this).data('gateway');

		// ajax request
		var post_url = '<?= $baseurl ?>' + '/user/process-cancel-plan.php';

		// show spinner
		$('#result-spinner-1').show();
		$('#result-spinner-2').show();

		// hide confirm message
		$('#confirm-message-1').hide();
		$('#confirm-message-2').hide();

		$.post(post_url, {
			uniq_id: uniq_id,
			gateway: gateway
			},
			function(data) {
				location.reload(true);
			}
		);
	});
}());
</script>