<?php
// prevent direct access
if(basename(__FILE__) == basename($_SERVER['SCRIPT_NAME'])) {
	http_response_code(401);
	die('Invalid access');
}
?><script>
'use strict';

/*--------------------------------------------------
Resend email confirmation form
--------------------------------------------------*/
(function(){
	$('#result-spinner').hide();
	$('#success-result').hide();
	$('#invalid-email-result').hide();
	$('#smtp-error-result').hide();
	$('#sign-in').hide();

	$('#resend-confirmation-submit').on('click', function(e) {
		// to use checkValidity, we need to get the form element without jquery
		var the_form = document.getElementById('resend-confirmation-form');

		// check validity
		if(the_form.checkValidity()) {
			e.preventDefault();

			// vars
			var url = '<?= $baseurl ?>/user/process-resend-confirmation.php';

			// hide form and show spinner
			$('#resend-confirmation-form').toggle(120);
			$('#result-spinner').show();
			$('#success-result').hide();
			$('#invalid-email-result').hide();
			$('#smtp-error-result').hide();

			// ajax post
			$.post(url, {
				params: $('#resend-confirmation-form').serialize(),
			}, function(data) {
				console.log(data)
				// hide spinner
				$('#result-spinner').hide();

				// parse json string
				var data = JSON.parse(data);

				if(data.response == 'request_sent') {
					$('#success-result').show();

					// hide form
					$('#resend-confirmation-form').hide();

					// show sign in paragraph
					$('#sign-in').show();
				}

				if(data.response == 'smtp_error') {
					$('#smtp-error-result').show();
				}

				if(data.response == 'invalid_email') {
					$('#invalid-email-result').show();
				}
			});
		}

		else {
			$('#resend-confirmation-form')[0].reportValidity();
		}
	});
}());
</script>
